Index: /anuga_work/publications/boxing_day_validation_2008/patong_validation.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/patong_validation.tex	(revision 6942)
+++ /anuga_work/publications/boxing_day_validation_2008/patong_validation.tex	(revision 6943)
@@ -8,5 +8,5 @@
 %----------title-------------%
 %\title{Inundation Modelling of the December 2004 Indian Ocean Tsunami}
-\title{Benchmarking an Inundation Model using the December 2004 Indian Ocean Tsunami Impact at Patong Beach}
+\title{Benchmarking Tsunami Models using the December 2004 Indian Ocean Tsunami and its Impact at Patong Beach}
 
 %-------authors-----------
@@ -25,5 +25,5 @@
 %------Abstract--------------
 \begin{abstract}
-In this paper a new benchmark for tsunami model validation is proposed. The benchmark is based upon the 2004 Indian Ocean tsunami, which provides a uniquely large amount of observational data for model comparison. Unlike the small number of existing benchmarks, the proposed test validates all three stages of tsunami evolution - generation, propagation and inundation. Specifically we use geodetic measurements of the Sumatra--Andaman earthquake to validate the tsunami source, altimetry data from the JASON satellite to test open ocean propagation, eye-witness accounts to assess near shore propagation and a detailed inundation survey of Patong Bay, Thailand to compare model and observed inundation. Furthermore we utilise this benchmark to further validate the hydrodynamic modelling tool \textsc{anuga}  which is used to simulate the tsunami evolution and run rain-induced floods.
+In this paper a new benchmark for tsunami model validation is proposed. The benchmark is based upon the 2004 Indian Ocean tsunami, which provides a uniquely large amount of observational data for model comparison. Unlike the small number of existing benchmarks, the proposed test validates all three stages of tsunami evolution - generation, propagation and inundation. Specifically we use geodetic measurements of the Sumatra--Andaman earthquake to validate the tsunami source, altimetry data from the JASON satellite to test open ocean propagation, eye-witness accounts to assess near shore propagation and a detailed inundation survey of Patong Bay, Thailand to compare model and observed inundation. Furthermore we utilise this benchmark to further validate the hydrodynamic modelling tool \textsc{anuga}  which is used to simulate the tsunami inundation and run rain-induced floods.
 \end{abstract}
 
@@ -38,48 +38,53 @@
 Complete confidence in a model of a physical system frequently in general cannot be established.  One can only hope to state under what conditions the model hypothesis holds true. Specifically the utility of a model can be assessed through a process of verification and validation. Verification assesses the accuracy of the numerical method used to solve the governing equations and validation is used to investigate whether the model adequately represents the physical system~\cite{bates01}. Together these processes can be used to establish the likelihood that that a model is a legitimate hypothesis.
 
-The sources of data used to validate and verify a model can be separated into three main categories; analytical solutions, scale experiments and field measurements. Analytical solutions of the governing equations of a model, if available, provide the best means of verifying a numerical hydrodynamic model. However analytical solutions to the governing equations are frequently limited to a small set of idealised examples that do not completely capture the more complex behaviour of `real' events. Scale experiments, typically in the form of wave-tank experiments provide a much more realistic source of data that better captures the complex dynamics of natural tsunami, whilst allowing control of the event and much easier and accurate measurement of the tsunami properties. However comparison of numerical predictions with field data provides the most stringent test of model veracity. The use of field data increases the generality and significance of conclusions made regarding model utility. However the use of field data also significantly increases the uncertainty of the validation experiment that may constrain the ability to make unequivocal statements~\cite{bates01}.
-
-Currently the extent of tsunami related field data is limited. The cost of tsunami monitoring programs and bathymetry and topography surveys prohibits the collection of data in many of the regions in which tsunamis pose greatest threat. The resulting lack of data has limited the number of field data sets available to validate tsunami models. Synolakis et. al~\cite{synolakis07} have developed a set of standards, criteria and procedures for evaluating numerical models of tsunami. They propose three analytical solutions to help identify the validity of a model and  five scale comparisons (wave-tank benchmarks) and two field events to assess model veracity. 
+The sources of data used to validate and verify a model can be separated into three main categories; analytical solutions, scale experiments and field measurements. Analytical solutions of the governing equations of a model, if available, provide the best means of verifying any numerical model. However analytical solutions to the governing equations used here are frequently limited to a small set of idealised examples that do not completely capture the more complex behaviour of `real' events. For tsunami inundation, scale experiments, typically in the form of wave-tank experiments, provide a much more realistic source of data that better captures the complex dynamics of natural tsunami, whilst allowing control of the event and much easier and accurate measurement of the tsunami properties. However comparison of numerical predictions with field data provides the most stringent test of model veracity. The use of field data increases the generality and significance of conclusions made regarding model utility. However the use of field data also significantly increases the uncertainty of the validation experiment that may constrain the ability to make unequivocal statements~\cite{bates01}.
+
+Currently the extent of tsunami related field data is limited. The cost of tsunami monitoring programs, bathymetry and topography surveys prohibits the collection of data in many of the regions in which tsunamis pose greatest threat. The resulting lack of data has limited the number of field data sets available to validate tsunami models. Synolakis et. al~\cite{synolakis07} have developed a set of standards, criteria and procedures for evaluating numerical models of tsunami. They propose three analytical solutions to help identify the validity of a model and  five scale comparisons (wave-tank benchmarks) and two field events to assess model veracity. 
 
 The first field data benchmark introduced by Synolakis compares model results against observed data from the Hokkaido-Nansei-Oki tsunami that occurred around Okushiri Island, Japan on the 12th of July 1993. This tsunami provides an example of extreme runup generated from reflections and constructive interference resulting from local topography and bathymetry. The benchmark consists of two tide gauge records and numerous spatially distributed point sites at which modelled maximum runup elevations can be compared. The second benchmark is based upon the Rat Islands Tsunami that occurred off the coast of Alaska on the 17th of November 2003. The Rat island tsunami provides a good test for real-time forecasting models since tsunami was recorded at three tsunameters. The test requires matching the propagation model data with the DART recording to constrain the tsunami source model and using a propagation model to to reproduce the tide gauge record at Hilo.
 
-The evolution of earthquake-generated tsunamis has three distinctive stages: generation, propagation and run-up~\cite{titov97a}. To accurately model the evolution of a tsunami all three stages must be dealt with. In this section we present the data necessary to implement the proposed benchmark corresponding to each of the three stages of the tsunami's evolution.  In this paper we develop a field data benchmark to be used in conjunction with the other tests proposed by Synolakis et al.~\cite{synolakis07} to validate and verify tsunami models. Unlike the aforementioned tests the proposed benchmark allows one to estimate the error in a model prediction for all three distinctive stages of the evolution of a tsunami: generation, propagation and run-up. The benchmark comprises of geodetic measurements of the Sumatra--Andaman earthquake to validate the tsunami source, altimetry data from the JASON satellite to test open ocean propagation, eye-witness accounts to assess near shore propagation and a detailed inundation survey of Patong Bay, Thailand to compare model and observed inundation. A description of this data is give in Section~\ref{sec:data}.
+The evolution of earthquake-generated tsunamis has three distinctive stages: generation, propagation and run-up~\cite{titov97a}. To accurately model the evolution of a tsunami all three stages must be dealt with. In this section we present the data necessary to implement the proposed benchmark corresponding to each of the three stages of the tsunami's evolution.  In this paper we develop a field data benchmark to be used in conjunction with the other tests proposed by Synolakis et al.~\cite{synolakis07} to validate and verify tsunami models. Unlike the aforementioned tests, the proposed benchmark allows one to estimate the error in a model prediction for all three distinctive stages of the evolution of a tsunami: generation, propagation and run-up. The benchmark comprises of geodetic measurements of the Sumatra--Andaman earthquake to validate the tsunami source, altimetry data from the JASON satellite to test open ocean propagation, eye-witness accounts to assess near shore propagation and a detailed inundation survey of Patong Bay, Thailand to compare model and observed inundation. A description of this data is give in Section~\ref{sec:data}.
 
 An associated aim of this paper is to illustrate the use of this new benchmark to validate an operational tsunami model called \textsc{anuga}. A description of \textsc{anuga} is given in Secion~\ref{sec:models} and the validation results are given in Secion~\ref{sec:results}. 
 
 %================Section===========================
-\section{Validation Data}\label{sec:data}
-The shear magnitude of the 2004 Sumatra-Andaman earthquake and the devastation caused by the subsequent tsunami generated much scientific interest. As a result an unusually large amount of post seismic data has been collected and documented. Data sets from seismometers, tide gauges, \textsc{gps} surveys, satellite overpasses, subsequent coastal field surveys of run-up and flooding, and measurements of coseismic displacements and bathymetry from ship-based expeditions, have now been made available.%~\cite{vigny05,amnon05,kawata05,liu05}.
-
-The evolution of earthquake-generated tsunamis has three distinctive stages: generation, propagation and run-up~\cite{titov97a}. To accurately model the evolution of a tsunami all three stages must be dealt with. In this section we present the data necessary to implement the proposed benchmark corresponding to each of the three stages of the tsunami's evolution.  The final dataset is available at XXXX.
-
-\subsection{Generation}
-All tsunami are generated from an initial disturbance of the sea surface which develops into a low frequency wave that propagates outwards from the source. The initial deformation of the water surface can be caused by coseismic displacement of the sea floor or submarine mass failure. In this section we detail the information necessary to validate models of tsunami generated by a coseismic displacement of the sea floor by focusing on the generation of the 2004 Sumatra--Andaman tsunami.
-
-The 2004 Sumatra--Andaman tsunami was generated by severe coseismic displacement of the sea floor as a result of one of the largest earthquakes on record. The M$_w$=9.3 mega-thrust earthquake occurred on the 26 December 2004 at 0h58'53'' UTC approximately 70 km offshore North Sumatra. The disturbance propagated 1200-1300 km along the Sumatra-Andaman trench time at a rate of 2.5-3 km.s$^{-1}$ and lasted approximately 8-10 minutes~\cite{amnon05}.
-
-We use near field global positioning surveys (\textsc{gps}) in northwestern Sumatra and the Nicobar-Andaman islands and  continuous and campaign \textsc{gps} measurements from Thailand and Malaysia to verify the \textsc{ursga} model used to generate the tsunami ... 
-
-FIXME(David and/or Richard): Could you complete this please?
-
-\begin{figure}[ht]
-\begin{center}
+\section{Data}\label{sec:data}
+The sheer magnitude of the 2004 Sumatra-Andaman earthquake and the devastation caused by the subsequent tsunami generated much scientific interest. As a result an unusually large amount of post seismic data has been collected and documented. Data sets from seismometers, tide gauges, \textsc{gps} surveys, satellite overpasses, subsequent coastal field surveys of run-up and flooding, and measurements of coseismic displacements and bathymetry from ship-based expeditions, have now been made available.%~\cite{vigny05,amnon05,kawata05,liu05}.
+
+In this section we present the data necessary to implement the proposed benchmark corresponding to each of the three stages of the tsunami's evolution.  The final datasets are available at XXXX.
+
+\subsection{Generation}\label{sec:gen_data}
+All tsunami are generated from an initial disturbance of the ocean which develops into a low frequency wave that propagates outwards from the source. The initial deformation of the water surface is most commonly caused by coseismic displacement of the sea floor, but submarine mass failures, landslides, volcanoes or asteroids can also cause tsunami. In this section we detail the information we used in this study to validate models of the sea floor deformation generated by the 2004 Sumatra--Andaman earthquake.
+
+The 2004 Sumatra--Andaman tsunami was generated by severe coseismic displacement of the sea floor as a result of one of the largest earthquakes on record. The mega-thrust earthquake started on the 26 December 2004 at 0h58'53'' UTC approximately 70 km offshore North Sumatra. The rupture propagated 1000-1300 km along the Sumatra-Andaman trench time to the north at a rate of 2.5-3 km.s$^{-1}$ and lasted approximately 8-10 minutes~\cite{ammon05}. Estimates of the moment magnitude of this event range from about 9.1 to 9.3~\cite{chlieh07, stein07}.
+
+The unusually large surface deformation caused by this earthquakes means that there were a range of different geodetic measurements of the surface deformation available. These include field measurements of uplifted or subsided coral heads, continuous or campaign \textsc{GPS} measurments and remote sensing measurements of uplift or subsidence (see ~\cite{chlieh07} and references therein). Here we use the the near field estimates of vertical deformation in northwestern Sumatra and the Nicobar-Andaman islands collated by~\cite{chlieh07} to validate that our crustal deformation model of the 2004 Sumatra--Andaman earthquake is producing reasonable results. Note that the geodetic data used here is a combination of the vertical deformation that happened in the ~10 minutes of the earthquake plus the deformation that followed in the days following the earthquake before each particular measurement was actually made (typically of order days). Therefore some of the observations may not contain the purely co-seismic deformation but could include some post-seismic deformation as well~\cite{chlieh07}.
+
+%DAVID: I commented out the figure since we can combine it with the model result without obscuring it. That will keep the number of figures down.
+
+%\begin{figure}[ht]
+%\begin{center}
 %\includegraphics[width=8.0cm,keepaspectratio=true]{geodeticMeasurements.jpg}
-\caption{Near field geodetic measurements used to validate tsunami generation. FIXME: Insert appropriate figure here}
-\label{fig:geodeticMeasurements}
-\end{center}
-\end{figure}
+%\caption{Near field geodetic measurements used to validate tsunami generation. FIXME: Insert appropriate figure here}
+%\label{fig:geodeticMeasurements}
+%\end{center}
+%\end{figure}
 
 \subsection{Propagation}
-Once generated a tsunami will propagate outwards from the source until it finally encounters the shallow water bordering coastal regions. This period of the tsunami evolution is referred to as the propagation stage. The height and velocity of the tsunami is dependent on the local bathymetry in the regions through which the wave travels. This section details the bathymetry data needed to model the tsunami propagation and \textbf{two} satellite altimetry transects which can be used to validate open ocean tsunami models.
+Once generated a tsunami will propagate outwards from the source until it finally encounters the shallow water bordering coastal regions. This period of the tsunami evolution is referred to as the propagation stage. The height and velocity of the tsunami is dependent on the local bathymetry in the regions through which the wave travels and the size of the initial wave. This section details the bathymetry data needed to model the tsunami propagation and the satellite altimetry transects used here to validate open ocean tsunami models.
 
 \subsubsection{Bathymetry Data}
 A number of raw data sets were obtained, analysed and checked for quality and subsequently gridded for easier visualisation and input into the tsunami models. The resulting grid data is relatively coarse in the deeper water and becomes progressively finer as the distance to Patong Bay decreases.
 
-The nested bathymetry grid was generated from: a two arc minute grid data set covering the Bay of Bengal, DBDB2, obtained from US Naval Research Labs; a 3 second arc grid covering the whole of the Andaman Sea which is based on Thai charts 45 and 362; and a one second grid created from the digitised Thai Navy bathymetry chart, no 358. which covers Patong Bay and the immediately adjacent regions.
+The nested bathymetry grid was generated from: 
+\begin{itemize}
+\item A two arc minute grid data set covering the Bay of Bengal, DBDB2, obtained from US Naval Research Labs; 
+\item A 3 second arc grid covering the whole of the Andaman Sea which is based on Thai charts 45 and 362; and 
+\item A one second grid created from the digitised Thai Navy bathymetry chart, no 358. which covers Patong Bay and the immediately adjacent regions.
+\end{itemize}
 
 The final bathymetry data set consits of four nested grids obtained via interpolation and resampling of the aforementioned data sets. The coarsest bathymetry was obtained by interpolating the DBDB2 grid to a 27 second arc grid. A subsection of this region was then replaced by 9 second data which was generated by sub-sampling the 3 second of arc grid from NOAA. A subset of the 9 second grid was replaced by the 3 second data. Finally a one second grid was used to approximate the bathymetry in Patong Bay and the immediately adjacent regions. This elevation data was created from the digitised Thai Navy bathymetry chart, no 358. Any points that deviated from the general trend near the boundary were deleted. See Figure~\ref{fig:nested_grids}.
 
-The sub-sampling of larger grids was performed by using {\bf resample} a GMT program (\cite{XXX}). The gridding of data was performed using {\bf Intrepid} a commercial geophysical processing package developed by Intrepid Geophysics. The gridding scheme employed the nearest neighbour algorithm followed by and application of minimum curvature akima spline smoothing. 
+The sub-sampling of larger grids was performed by using {\bf resample} a Generic Mapping Tools (\textsc{GMT}) program (\cite{wessel98}). The gridding of data was performed using {\bf Intrepid} a commercial geophysical processing package developed by Intrepid Geophysics. The gridding scheme employed the nearest neighbour algorithm followed by an application of minimum curvature akima spline smoothing. 
 
 \begin{figure}[ht]
@@ -91,24 +96,25 @@
 \end{figure}
 
-\subsubsection{JASON Satellite Altimetry}
-During the 26 December 2004 event, the Jason satellite tracked from north to south and over the equator at 02:55 UTC nearly two hours after the initial $M_w 9.3$ earthquake \cite{gower05}. The satellite recorded the sea level anomaly compared to the average sea level from its previous five passes over the same region in the 20-30 days prior. The satellite track is shown in Figure~\ref{fig:satelliteTrack}.
-
-\begin{figure}[ht]
-\begin{center}
+\subsubsection{JASON Satellite Altimetry}\label{sec:data_jason}
+During the 26 December 2004 event, the Jason satellite tracked from north to south and over the equator at 02:55 UTC nearly two hours after the  earthquake \cite{gower05}. The satellite recorded the sea level anomaly compared to the average sea level from its previous five passes over the same region in the 20-30 days prior. 
+%DB I suggest we combine with model data to reduce the number of figures. The satellite track is shown in Figure~\ref{fig:satelliteTrack}.
+
+%\begin{figure}[ht]
+%\begin{center}
 %\includegraphics[width=8.0cm,keepaspectratio=true]{sateliteTrack.jpg}
-\caption{URS wave heights 120 minutes after the initial earthquake with the JASON satellite track and its observed sea level anomalies overlaid. Note the URS data has not been corrected for the flight path time. FIXME: should we just have track and not URS heights.}
-\label{fig:satelliteTrack}
-\end{center}
-\end{figure}
-
-\begin{figure}[ht]
-\begin{center}
+%\caption{URS wave heights 120 minutes after the initial earthquake with the JASON satellite track and its observed sea level anomalies overlaid. Note the URS data has not been corrected for the flight path time. FIXME: should we just have track and not URS heights.}
+%\label{fig:satelliteTrack}
+%\end{center}
+%\end{figure}
+
+%\begin{figure}[ht]
+%\begin{center}
 %\includegraphics[width=8.0cm,keepaspectratio=true]{jasonAltimetry.jpg}
-\caption{JASON satellite altimetry seal level anomaly. FIXME: should we include figure here with just JASON altimetry.}
-\label{fig:jasonAltimetry}
-\end{center}
-\end{figure}
-
-FIXME: Can we compare the urs model against the TOPEX-poseidon satellite as well?
+%\caption{JASON satellite altimetry seal level anomaly. FIXME: should we include figure here with just JASON altimetry.}
+%\label{fig:jasonAltimetry}
+%\end{center}
+%\end{figure}
+
+%FIXME: Can we compare the urs model against the TOPEX-poseidon satellite as well? DB No (we don't have the data currently).
 
 \subsection{Inundation}
@@ -148,7 +154,7 @@
 The data described in this section can be used to construct a benchmark to validate all three stages of the evolution of a tsunami. In particular we propose that a legitimate tsunami model should reproduce the following behaviour:
 \begin{itemize}
- \item Reproduce the \textsc{gps} displacement vectors in North-western Sumatra, Thailand and along the Nicobar--Andaman islands (Figure~\ref{fig:geodeticMeasurements})
- \item Reproduce the \textsc{jason} \textbf{and TOPEX???} satellite altimetry sea surface anomalies (Figures~\ref{fig:jasonAltimetry} and \ref{fig:topexAltimetry} respectively).
- \item Simulate A leading depression followed by two distinct crests of decreasing magnitude.
+ \item Reproduce the vertical deformation observed in north-western Sumatra and along the Nicobar--Andaman islands, see Section~\ref{sec:gen_data}.
+ \item Reproduce the \textsc{jason} satellite altimetry sea surface anomalies, see Section~\ref{sec:data_jason}.
+ \item Simulate a leading depression followed by two distinct crests of decreasing magnitude.
  \item Predict the arrival time of the first crest should arrive at Patong beach between 2 hours and 55 minutes to 3 hours and 5 minutes after the initial rupture of the source. The subsequent crest arrive five to ten minutes later.
  \item Reproduce the inundation survey map in Patong bay (Figure~\ref{fig:patongescapemap}).
@@ -160,11 +166,14 @@
 
 \subsection{Generation}\label{sec:modelGeneration}
-Many models of this earthquake are available~\cite{chlieh07,asavanant08,arcas06,grilli07,ioualalen07}. Some are determined from various geological surveys of the site, others solve an inverse problem which calibrates the source based upon the tsunami wave signal and or runup. The source parameters used to simulate the 2004 Indian Ocean Tsunami were taken from Chlieh~\cite{chlieh07}. This model was created by inversion of various geodetic data including slip distribution and postseismic deformation at sites up to 300km from the epicenter as well as continuous \textsc{gps} measurements of coseismic offset at sites up to and beyond 1100km from the source. The model fault consists of three subsegments with differing strikes and dip angles ranging from $17.5^0$ in the North and $12^0$ in the South. Refer to Chlieh et. al~\cite{chlieh07} for a detailed discussion.
+
+There are various approaches to modelling the expected crustal deformation from an earthquake at depth. Most approaches model the earthquake as a dislocation in linear, elastic medium. Here we use the method of~\cite{wang03}. One of the main advantages of their method is that it allows the dislocation to be located in a stratified linear elastic half-space with an arbitary number of layers. Other methods (such as those based on Okada's equations) can only model the dislocation in a homogeneous elastic half space, or can only include a limited number of layers, and thus cannot model the effect of the depth dependence of the elasticity of the Earth~\cite{wang03}. The original versions of the codes described here are available from http://www.iamg.org/CGEditor/index.htm. The first program, \textsc{EDGRN}, calculates elastic Green's function for a set of point sources at a regular set of depths out to a specified distance. The equations controlling the deformation are solved by using a combination of Hankel's transform and Wang et al's implementation of the Thomson-Haskell propagator algorithm~\cite{wang03}. Once the Green's functions are calculated we use a slightly modified version of \textsc{EDCMP} to calculate the sea floor deformation for a specific subfault. This second code discretises the subfault into a set of unit sources and sums the elastic Green's functions calculated from \textsc{EDGRN} for all the unit sources on the fault plane in order to calculate the final static deformation caused by a two dimensional dislocation along the subfault. This step is possible because of the linearity of the governing equations. For this study, we have made minor modifications to \textsc{EDCMP} in order for it to output in a file format compatible with the propagation code in the following section but it is otherwise the similar to the original code.
+
+In order to calculate the crustal deformation using these codes we thus need to have a model describing the variation in elastic properties with depth and a slip model of the earthquake to describe the dislocation. The elastic parameters used for this study are the same as those in Table 2 of \cite{burbidge08}. For the slip model, there are many possible models for the 2004 Andaman--Sumatran earthquake to choose from ~\cite{chlieh07,asavanant08,arcas06,grilli07,ioualalen07}. Some are determined from various geological surveys of the site, others solve an inverse problem which calibrates the source based upon the tsunami wave signal, the seismic signal and/or the runup. The source parameters used here to simulate the 2004 Indian Ocean Tsunami were taken from model G-M9.15 from~\cite{chlieh07}. This model was created by inversion of wide range of geodetic and seismic data. The slip model consists of 686 20km x 20km subsegments each with a different slip, strike and dip angle. The dip subfaults go from $17.5^0$ in the north and $12^0$ in the south. Refer to~\cite{chlieh07} for a detailed discussion of this model and its derivation. Note that the geodetic data used in the validation was also included by~\cite{chlieh07} in the inversion used to find G-M9.15, thus the validation is not completely independent. However, a successful validation would still show that the crustal deformation and elastic properties model used here is at least as valid as the one used in~\cite{chlieh07} and can reproduce the observations just as accurately.
 
 \subsection{Propagation}\label{sec:modelPropagation}
-We use the \textsc{ursga} model to simulate the propagation of the 2004 tsunami in the deep ocean ocean, based on a discrete representation of the initial deformation of the sea floor, described in Section~\ref{sec:modelGeneration}.
+We use the \textsc{ursga} model to simulate the propagation of the 2004 tsunami in the deep ocean ocean, based on a discrete representation of the initial deformation of the sea floor, described in Section~\ref{sec:modelGeneration}. For the models shown here, we assume that the uplift is instantaneous and creates a wave of the same size and amplitude as the co-seismic sea floor deformation.
 
 \subsubsection{URSGA}
-\textsc{ursga} is a hydrodynamic code that models the propagation of the tsunami in deep water using the finite difference method to solve the depth integrated nonlinear shallow water equations in spherical co-ordinates with friction and Coriolis terms. The code is based on Satake~\cite{satake95} with significant modifications made by the \textsc{urs} corporation~\cite{thio07} and Geoscience Australia~\cite{burbidge07}. The tsunami is propagated via a staggered grid system. Coarse grids are used in the open ocean and the finest resolution grid is employed in the region of most interest. \textsc{Ursga} is not publicly available. FIXME: Check with David.
+\textsc{ursga} is a hydrodynamic code that models the propagation of the tsunami in deep water using the finite difference method to solve the depth integrated linear or nonlinear shallow water equations in spherical co-ordinates with friction and Coriolis terms. The code is based on Satake~\cite{satake95} with significant modifications made by the \textsc{urs} corporation~\cite{thio08} and Geoscience Australia~\cite{burbidge08}. The tsunami is propagated via a staggered grid system. Coarse grids are used in the open ocean and the finest resolution grid is employed in the region of most interest. \textsc{Ursga} is not publicly available. 
 
 \subsection{Inundation}\label{sec:modelInundation}
@@ -176,23 +185,22 @@
 %================Section===========================
 \section{Results}\label{sec:results}
-This section presents validates the modelling practice of Geoscience Australia against the new proposed benchmark. The criteria in outlined in Section\ref{sec:checkList} are addressed for each three stages of tsunami evolution.
-
-\subsection{Generation}
-The location and magnitude of the sea floor displacement associated with the 2004 Sumatra--Andaman tsunami are shown in Figure~\ref{fig:chlieh_slip_model}. The magnitude of the sea floor displacement ranges from about $-5.0$ to $5.0$ metres. The source model detailed in Section~\ref{sec:modelGeneration} matches the horizontal displacements in the Nicobar-Andaman islands, Thailand and Malaysia reasonably well.
-
-\begin{figure}[ht]
-\begin{center}
-\includegraphics[width=5.0cm,keepaspectratio=true]{chlieh_slip_model.png}
-\caption{Location and magnitude of the sea floor displacement associated with the 2004 Indian Ocean tsunami. Source parameters from Chlieh et al.~\cite{chlieh07}. FIXME: add modelled and observed displacement vectors}
-\label{fig:chlieh_slip_model}
+This section presents validates the modelling practice of Geoscience Australia against the new proposed benchmarks. The criteria outlined in Section\ref{sec:checkList} are addressed for each three stages of tsunami evolution.
+
+\subsection{Generation}\label{modelGeneration}
+The location and magnitude of the sea floor displacement associated with the 2004 Sumatra--Andaman tsunami calculated from the G-M9.15 model  of~\cite{chlieh07} is shown in Figure~\ref{fig:surface_deformation}. The magnitude of the sea floor displacement ranges from about $-3.0$ to $5.0$ metres. The region near the fault is predicted to uplift, while that further away from the fault subsides. Also shown in Figure~\ref{fig:surface_deformation} are the areas that were observed to uplift (arrows pointing up) or subside (arrows point down) during and immediately after the earthquake. Most of this data comes uplifted or subsided coral heads. The length of vector increases with the magniutude of the displacement, the length corresponding to 1m of observed motion is shown in the top right corner of the figure. As can be seen, the source model detailed in Section~\ref{sec:modelGeneration} produces a crustal deformation that matches the vertical displacements in the Nicobar-Andaman islands and Sumatra very well. Uplifted regions are close to the fault and subsided regions are further away. The crosses on Figure~\ref{fig:surface_deformation} show estimates of the pivot line from the remote sensing data~\cite{chlieh07} and they follow the predicted pivgot line quite accurately. The average difference between the observed motion and the predicted motion (including the pivot line points) is only 0.06m, well below the typical error of the observations of between 0.25 and 1.0m. However, the occasional point has quite a large error (over 1m), for example a couple uplifted/subsided points appear to be on a wrong side of the predicted pivot line~\ref{fig:surface_deformation}. These points are rare, most fit the predicted vertical motion very well. The excellence of the fit is not surprising, since the original slip model was chosen by~\cite{chlieh07} to fit this (and the seismic data) well. However, this does demonstrate that \textsc{edgrn} and our modified version of \textsc{edstat} can reproduce the correct pattern of vertical deformation very well when the slip distribution is well constrained and when reasonable values for the elastic properties are used.
+
+\begin{figure}[ht]
+\begin{center}
+\includegraphics[width=5cm,keepaspectratio=true]{surface_deformation.jpg}
+%\includegraphics[totalheight=0.3\textheight,width=0.8\textwidth]{surface_deformation.jpg}
+\caption{Location and magnitude of the vertical component of the sea floor displacement associated with the 2004 Indian Ocean tsunami based on the slip model, G-M9.15. The black arrows which point up show areas observed to uplift during and immediately after the earthquake, those point down are locations which subsided. The length of increases with the magnitude of the deformation. The arrow length corresponding to 1m of deformation is shown in the top right hand corner of the figure. The crosses marks show the location of the pivot line (the region between the uplift and subsided region where the uplift is zero) derived from remote sensing. All the observational data come from the dataset collated by~\cite{chlieh07}.}
+\label{fig:surface_deformation}
 \end{center}
 \end{figure}
 
 \subsection{Propagation}
-The source model described in Section~\ref{modelGeneration} was used to provide an profile of the initial ocean surface displacement. This profile was used as an initial condition for \textsc{ursga} which propagated the tsunami throughtout the Bay of Bengal. The rectangular computational domain extended from .. to ..East and .. North and containned ...,000 finite difference points. A nested sequence of grids was used ranging from ... in the coarsest grid and ... in the finest grid. The computational domain is shown in Figure\ref{gif:ursgaDomain}. FIXME(David/Richard): Could you please fill out these details. 
-
-Figure \ref{fig:jasonComparison} provides a comparison of the \textsc{ursga} predicted surface elevation with the JASON satellite altimetry data. The \textsc{ursga} model replicates the amplitude and timing of the first peak and trough well. However the model does not resolve the double peak of the first wave. The generation model presented in Section~\ref{sec:modelGeneration} simulates a single uplift displacement, however the observed double peak may have been generated by superposition of the initial waves from the rupture of two fault sections \cite{harig08}.
-
-Also note that the \textsc{ursga} model prediction of the ocean surface elevation becomes out of phase with the JASON data at 3 to 7 degrees latitude. Chlieh et al~\cite{chlieh07} also observe this misfit and suggest it is caused by a reflected wave from the Aceh Peninsula that is not resolved in the model due to insufficient resolution of the computational mesh and bathymetry data. This is also a limitation of the model presented here.
+The deformation results described in Section~\ref{modelGeneration} was then used to provide an profile of the initial ocean surface displacement. This wave was used as an initial condition for \textsc{ursga} and was propagated the tsunami throughtout the Bay of Bengal. The rectangular computational domain of the largest grid extended from 90$^0$ to 100$^0$East and 0 to 15$^0$North and contained 1335$\times$1996 finite difference points. Inside this grid, a nested sequence of grids was used. The grid resolution of the nested grids went from 27 arc seconds in the coarsest grid, down to 9 arc seconds in the second grid, 3 arc seconds in the thrid grid and finally 1 arc second in the finest grid near Patong. The computational domain is shown in Figure\ref{gif:ursgaDomain}. 
+
+Figure \ref{fig:jasonComparison} provides a comparison of the \textsc{ursga} predicted surface elevation with the JASON satellite altimetry data. The \textsc{ursga} model replicates the amplitude and timing of the first peak and trough well. However the model does not resolve the double peak of the first wave. Also note that the \textsc{ursga} model prediction of the ocean surface elevation becomes out of phase with the JASON data at 3 to 7 degrees latitude. Chlieh et al~\cite{chlieh07} also observe these misfits and suggest it is caused by a reflected wave from the Aceh Peninsula that is not resolved in the model due to insufficient resolution of the computational mesh and bathymetry data. This is also a limitation of the model presented here, but probably could be improved by nesting grids near Aceh. 
 
 \begin{figure}[ht]
@@ -248,5 +256,5 @@
 
 %================Section===========================
-\section{Sensitivities Analysis}
+\section{Sensitivity Analysis}
 \label{sec:sensitivity}
 This section shows how model maximum inundation varies with: different values of Manning's friction coefficient; changing waveheight at the ANUGA boundary (where it was coupled with the URSGA model); and finally the presence and absence of buildings in the elevation dataset.