Index: /anuga_work/publications/boxing_day_validation_2008/patong_validation.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/patong_validation.tex	(revision 6953)
+++ /anuga_work/publications/boxing_day_validation_2008/patong_validation.tex	(revision 6954)
@@ -25,5 +25,5 @@
 %------Abstract--------------
 \begin{abstract}
-In this paper a new benchmark for tsunami model validation is proposed. The benchmark is based upon the 2004 Indian Ocean tsunami, which provides a uniquely large amount of observational data for model comparison. Unlike the small number of existing benchmarks, the proposed test validates all three stages of tsunami evolution - generation, propagation and inundation. Specifically we use geodetic measurements of the Sumatra--Andaman earthquake to validate the tsunami source, altimetry data from the JASON satellite to test open ocean propagation, eye-witness accounts to assess near shore propagation and a detailed inundation survey of Patong Bay, Thailand to compare model and observed inundation. Furthermore we utilise this benchmark to further validate the hydrodynamic modelling tool \textsc{anuga}  which is used to simulate the tsunami inundation and run rain-induced floods.
+In this paper a new benchmark for tsunami model validation is proposed. The benchmark is based upon the 2004 Indian Ocean tsunami, which provides a uniquely large amount of observational data for model comparison. Unlike the small number of existing benchmarks, the proposed test validates all three stages of tsunami evolution - generation, propagation and inundation. Specifically we use geodetic measurements of the Sumatra--Andaman earthquake to validate the tsunami source, altimetry data from the \textsc{jason} satellite to test open ocean propagation, eye-witness accounts to assess near shore propagation and a detailed inundation survey of Patong Bay, Thailand to compare model and observed inundation. Furthermore we utilise this benchmark to further validate the hydrodynamic modelling tool \textsc{anuga}  which is used to simulate the tsunami inundation and run rain-induced floods.
 \end{abstract}
 
@@ -134,6 +134,5 @@
 
 \subsubsection{Buildings and Other Structures}
-FIXME(John): Complete
-Where did elevation data come from???
+Human made build and structures can significantly effect tsunamni inundation. The location and size and number of floors of the buildings in Patong Bay were extracted from a GIS data set~\cite{}. The heights of these buildings was estimated assuming that each floor was 3m high.
 
 \subsubsection{Eyewitness Accounts}
@@ -168,5 +167,5 @@
 \subsection{Generation}\label{sec:modelGeneration}
 
-There are various approaches to modelling the expected crustal deformation from an earthquake at depth. Most approaches model the earthquake as a dislocation in linear, elastic medium. Here we use the method of~\cite{wang03}. One of the main advantages of their method is that it allows the dislocation to be located in a stratified linear elastic half-space with an arbitary number of layers. Other methods (such as those based on Okada's equations) can only model the dislocation in a homogeneous elastic half space, or can only include a limited number of layers, and thus cannot model the effect of the depth dependence of the elasticity of the Earth~\cite{wang03}. The original versions of the codes described here are available from http://www.iamg.org/CGEditor/index.htm. The first program, \textsc{EDGRN}, calculates elastic Green's function for a set of point sources at a regular set of depths out to a specified distance. The equations controlling the deformation are solved by using a combination of Hankel's transform and Wang et al's implementation of the Thomson-Haskell propagator algorithm~\cite{wang03}. Once the Green's functions are calculated we use a slightly modified version of \textsc{EDCMP} to calculate the sea floor deformation for a specific subfault. This second code discretises the subfault into a set of unit sources and sums the elastic Green's functions calculated from \textsc{EDGRN} for all the unit sources on the fault plane in order to calculate the final static deformation caused by a two dimensional dislocation along the subfault. This step is possible because of the linearity of the governing equations. For this study, we have made minor modifications to \textsc{EDCMP} in order for it to output in a file format compatible with the propagation code in the following section but it is otherwise the similar to the original code.
+There are various approaches to modelling the expected crustal deformation from an earthquake at depth. Most approaches model the earthquake as a dislocation in linear, elastic medium. Here we use the method of~\cite{wang03}. One of the main advantages of their method is that it allows the dislocation to be located in a stratified linear elastic half-space with an arbitary number of layers. Other methods (such as those based on Okada's equations) can only model the dislocation in a homogeneous elastic half space, or can only include a limited number of layers, and thus cannot model the effect of the depth dependence of the elasticity of the Earth~\cite{wang03}. The original versions of the codes described here are available from \url{http://www.iamg.org/CGEditor/index.htm}. The first program, \textsc{EDGRN}, calculates elastic Green's function for a set of point sources at a regular set of depths out to a specified distance. The equations controlling the deformation are solved by using a combination of Hankel's transform and Wang et al's implementation of the Thomson-Haskell propagator algorithm~\cite{wang03}. Once the Green's functions are calculated we use a slightly modified version of \textsc{EDCMP} to calculate the sea floor deformation for a specific subfault. This second code discretises the subfault into a set of unit sources and sums the elastic Green's functions calculated from \textsc{EDGRN} for all the unit sources on the fault plane in order to calculate the final static deformation caused by a two dimensional dislocation along the subfault. This step is possible because of the linearity of the governing equations. For this study, we have made minor modifications to \textsc{EDCMP} in order for it to output in a file format compatible with the propagation code in the following section but it is otherwise the similar to the original code.
 
 In order to calculate the crustal deformation using these codes we thus need to have a model describing the variation in elastic properties with depth and a slip model of the earthquake to describe the dislocation. The elastic parameters used for this study are the same as those in Table 2 of \cite{burbidge08}. For the slip model, there are many possible models for the 2004 Andaman--Sumatran earthquake to choose from ~\cite{chlieh07,asavanant08,arcas06,grilli07,ioualalen07}. Some are determined from various geological surveys of the site, others solve an inverse problem which calibrates the source based upon the tsunami wave signal, the seismic signal and/or the runup. The source parameters used here to simulate the 2004 Indian Ocean Tsunami were taken from model G-M9.15 from~\cite{chlieh07}. This model was created by inversion of wide range of geodetic and seismic data. The slip model consists of 686 20km x 20km subsegments each with a different slip, strike and dip angle. The dip subfaults go from $17.5^0$ in the north and $12^0$ in the south. Refer to~\cite{chlieh07} for a detailed discussion of this model and its derivation. Note that the geodetic data used in the validation was also included by~\cite{chlieh07} in the inversion used to find G-M9.15, thus the validation is not completely independent. However, a successful validation would still show that the crustal deformation and elastic properties model used here is at least as valid as the one used in~\cite{chlieh07} and can reproduce the observations just as accurately.
@@ -221,15 +220,17 @@
 \includegraphics[width=5.0cm,keepaspectratio=true]{ursgaDomain.jpg}
 \includegraphics[width=5.0cm,keepaspectratio=true]{extent_of_ANUGA_model.jpg}
-\caption{Computational domain of the ursga simulation (left) and the \textsc{anuga} simulation (rights). FIXME: Add lat longs to anuga and make fig for ursga. Show where ANUGA domain fits in ursgaDomain}
+\caption{Computational domain of the ursga simulation (left) and the \textsc{anuga} simulation (right). FIXME: Show where ANUGA domain fits in ursgaDomain}
 \label{fig:computational_domain}
 \end{center}
 \end{figure}
 
-The domain was discretised into approximately ...,000 triangles. The resolution of the grid was increased in certain regions to efficiently increase the accuracy of the simulation. The grid resolution ranged between a maximum triangle area of $...\times 10^5$ m$^2$ near the Western ocean boundary to $...$ m$^2$ in the small regions surrounding the inundation region in Patong Bay. Due to a lack of available data, friction was set to a constant throughout the computational domain. For the reference simulation a Manning's coefficient of 0.01 was chosen based upon previous numerical experiments conducted by the authors (FIXME: Citation Tom Baldock?? Or Duncan??).
+The domain was discretised into approximately 350,000 triangles. The resolution of the grid was increased in certain regions to efficiently increase the accuracy of the simulation. The grid resolution ranged between a maximum triangle area of $1\times 10^5$ m$^2$ near the Western ocean boundary to $3$ m$^2$ in the small regions surrounding the inundation region in Patong Bay. Due to a lack of available data, friction was set to a constant throughout the computational domain. For the reference simulation a Manning's coefficient of 0.01 was chosen based upon previous numerical experiments conducted by the authors (FIXME: Citation Tom Baldock?? Or Duncan??).
 
 The boundary condition at each side of the domain towards the south and the north where no data was available was chosen as a transmissive boundary condition effectively replicating the time dependent wave height present just inside the computational domain. Momentum was set to zero. Other choices include applying the mean tide value as a Dirichlet type boundary condition but experiments as well as the result of the verification reported here showed that this approach tends to under estimate the tsunami impact due to the tempering of the wave near the side boundaries. 
 
+During the \textsc{anuga} simulation the tide was kept constant at $0.80$m. This value was chosen to correspond to the tidal height specified by the Thai Navy tide charts (\url{http://www.navy.mi.th/hydro/}) at the time the tsunami arrived at Patong Bay. Although the tsunami propagated for approximately 3 hours before it reach Patong Bay, the period of time during which the wave propagated through the \textsc{anuga} domain is much smaller. Consequently the assumption of constant tide height is reasonable
+
 FIXME(John): Need a commentary on the dynamics of what is being observed and whether it aligns with eye witness observations.
-Both the URS model and the \textsc{anuga} inundation model shows that the event comprises a train of waves some with preceding drawdown effects (ADD details of waveform with a graph from URL and a gauge from \textsc{anuga} and discuss). 
+Both the URS model and the \textsc{anuga} inundation model shows that the event comprises a train of waves some with preceding drawdown effects Add details of waveform with a graph from URL and a gauge from \textsc{anuga} and discuss. This will come from the work of Kristy (plots of water depth and speed at two locations on beach and one of shore) and Richard (approximating water depth and wave speeds from videos). 
 
 Maximum onshore inundation elevation was simulated throughout the entire Patong Bay region. Figure~\ref{fig:inundationcomparison1cm} shows very good agreement between the measured and simulated inundation. The \textsc{anuga} simulation determines a region to be inundated if at some point in time it was covered by at least 1cm of water. This precision in field measurements is impossible to obtain. The inundation boundary is determined by observing water marks and other signs left by the receding waters. The precision of the observed inundation map is, most likely, at least an order of magnitude worse than the \textsc{anuga} simulation. The simulated inundation based upon a 10cm threshold is shown in Figure~\ref{fig:inundationcomparison1cm}. An inundation threshold of 10cm was selected for all future simulations to reflect the likely accuracy of the survey and subsequently facilitate a more appropriate comparison between the modelled and observed inundation area. 
@@ -248,9 +249,9 @@
 Here we introduce the measure
 \begin{equation}
-A_{in}=\frac{A_m\cap A_o}{A_o}
+A(I_{in})=\frac{A(I_m\cap I_o)}{A(I_o)}
 \end{equation}
-to quantify the fraction of the observed inundation area $A_o$ captured by the model $A_m$. Another useful measure is the fraction of the modelled inundation area that falls outside the observed inundation area given by the formula
+to quantify the fraction of the area $A(I_{in})$ of observed inundation region $I_o$ captured by the model $I_m$. Another useful measure is the fraction of the modelled inundation area that falls outside the observed inundation area given by the formula
 \begin{equation}
-A_{out}=\frac{A_m\setminus (A_m\cap A_o)}{A_o}
+A(I_{out})=\frac{A(I_m\setminus (I_m\cap I_o))}{A(I_o)}
 \end{equation}
 These values for the two aforementioned simulations are given in Table~\ref{table:inundationAreas}
@@ -281,10 +282,10 @@
 \begin{center}
 \label{table:inundationAreas}
-\caption{$A_{in}$ and $A_{out}$ of the reference simulation and all sensitivity studies}
+\caption{$A(I_{in})$ and $A(I_{out})$ of the reference simulation and all sensitivity studies}
 \begin{tabular}{|c|c|c|}
 \hline
- & $A_{in}$ & $A_{out}$ \\ 
+ & $A(I_{in})$ & $A(I_{out})$ \\ 
 \hline\hline
-Reference & Ã & \\ 
+Reference & 0.76 & 0.22\\ 
 Min. Friction & Ã & \\ 
 Max. Friction & Ã & \\ 
@@ -296,6 +297,4 @@
 \end{center}
 \end{table}
-
-FIXME(Ole): It would be nice if we could be a little more quantitative - e.g. along the lines of the MISG study that John and Jane participated in. Thoughts anyone?
 
 %================Section===========================