Index: anuga_work/production/australia_ph2/broome/Arc_asc2raster_GDA94z50.py
===================================================================
--- anuga_work/production/australia_ph2/broome/Arc_asc2raster_GDA94z50.py	(revision 6969)
+++ anuga_work/production/australia_ph2/broome/Arc_asc2raster_GDA94z50.py	(revision 6971)
@@ -25,9 +25,11 @@
 output_dir="anuga\\outputs\\"
 
-time_dir1 = '20090408_152311_run_final_0_27337_1661_Tb__mhingee'
-time_dir2 = '20090409_070404_run_final_0_70336_1661_Tb__mhingee'
+##time_dir1 = '20090408_152311_run_final_0_27337_1661_Tb__mhingee'
+##time_dir2 = '20090409_070404_run_final_0_70336_1661_Tb__mhingee'
 time_dir3 = '20090409_224602_run_final_0_70869_1661_Tb__mhingee'
 
-time_dirs = [time_dir1, time_dir2, time_dir3]
+time_dir1 = '20090421_174625_run_final_0_70869_1661_Tb_internal_mhingee'
+
+time_dirs = [time_dir1, time_dir3]#, time_dir3]
 
 for time_dir in time_dirs:
@@ -38,6 +40,6 @@
 ##    ocean = scenario_dir + "map_work\\\port_hedland.gdb\\outlines\\initial_conditions_ocean"
 
-    print 'Process: Create File GDB'
-    gp.CreateFileGDB_management(folder, "raster")
+##    print 'Process: Create File GDB'
+##    gp.CreateFileGDB_management(folder, "raster")
 
     gp.Workspace = raster_gbd
@@ -52,5 +54,5 @@
 
     generate_filename = []
-    input_ascii = glob.glob(folder + '*max.asc')
+    input_ascii = glob.glob(folder + '*elevation.asc')
 
     for infile in input_ascii:
Index: anuga_work/production/australia_ph2/carnarvon/project.py
===================================================================
--- anuga_work/production/australia_ph2/carnarvon/project.py	(revision 6969)
+++ anuga_work/production/australia_ph2/carnarvon/project.py	(revision 6971)
@@ -51,5 +51,5 @@
 
 
-internal_polygon = False
+internal_polygon = True
 
 #-------------------------------------------------------------------------------
Index: anuga_work/production/australia_ph2/dampier/Arc_asc2raster_GDA94z50.py
===================================================================
--- anuga_work/production/australia_ph2/dampier/Arc_asc2raster_GDA94z50.py	(revision 6969)
+++ anuga_work/production/australia_ph2/dampier/Arc_asc2raster_GDA94z50.py	(revision 6971)
@@ -26,8 +26,10 @@
 
 time_dir1 = '20090415_124319_run_final_0_70844_1307_Tb__kvanputt'
-time_dir2 = '20090416_072538_run_final_0_27338_1307_Tb__kvanputt'
-time_dir3 = '20090417_021634_run_final_0_70337_1307_Tb__kvanputt'
+##time_dir2 = '20090416_072538_run_final_0_27338_1307_Tb__kvanputt'
+##time_dir3 = '20090417_021634_run_final_0_70337_1307_Tb__kvanputt'
 
-time_dirs = [time_dir1, time_dir2, time_dir3]
+time_dir2 = '20090422_102457_run_final_0_70844_1307_Tb_internal_mhingee'
+
+time_dirs = [time_dir1, time_dir2]#, time_dir3]
 
 for time_dir in time_dirs:
@@ -38,6 +40,6 @@
 ##    ocean = scenario_dir + "map_work\\\port_hedland.gdb\\outlines\\initial_conditions_ocean"
 
-    print 'Process: Create File GDB'
-    gp.CreateFileGDB_management(folder, "raster")
+##    print 'Process: Create File GDB'
+##    gp.CreateFileGDB_management(folder, "raster")
 
     gp.Workspace = raster_gbd
@@ -52,5 +54,5 @@
 
     generate_filename = []
-    input_ascii = glob.glob(folder + '*max.asc')
+    input_ascii = glob.glob(folder + '*elevation.asc')
 
     for infile in input_ascii:
Index: anuga_work/production/australia_ph2/darwin/export_results.py
===================================================================
--- anuga_work/production/australia_ph2/darwin/export_results.py	(revision 6971)
+++ anuga_work/production/australia_ph2/darwin/export_results.py	(revision 6971)
@@ -0,0 +1,121 @@
+"""
+Generates ascii grids of nominated areas -
+Input: sww file from run_perth.py
+       boundaries for grids from project.py
+Outputs: ascii grids of specified variables
+Stored in the 'outputs_dir' folder for respective .sww file
+
+Note:
+If producing a grid for the enitre extent cellsize should be greater than 30m
+If producing grids for inundation area resolution should be greater than mesh (ie ~22m)
+"""
+
+import project, os
+import sys
+from os.path import join
+from anuga.lib.maxasc.maxasc import MaxAsc
+from anuga.shallow_water.data_manager import convert_dem_from_ascii2netcdf, dem2pts
+from anuga.shallow_water.data_manager import sww2dem
+from os import sep
+
+
+directory = project.output_folder
+
+time_dir1 = '20090415_123212_run_final_0_17898_1829_Tb__kvanputt'
+time_dir2 = '20090428_172336_run_final_0_17898_1829_Tb_internal_mhingee'
+##time_dir3 = ''
+##time_dir4 = ''
+##time_dir5 = ''
+##time_dir6 = ''
+##
+time_dirs = [time_dir1, time_dir2]# , time_dir4, time_dir5, time_dir6]
+  
+
+cellsize = 250
+##cellsize = 5
+
+#timestep = None    # None means no timestep!
+timestep = 0
+
+######
+# Set the special areas of interest.  If none, do: area='All'
+######
+
+#area = ['Bunbury', 'Busselton']  # strings must match keys in var_equations below
+area = ['All']      # 'All' means no special areas - the whole thing
+
+######
+# Define allowed variable names and associated equations to generate values.
+# This would not normally change.
+######
+var_equations = {'stage':     'stage',
+                 'momentum':  '(xmomentum**2 + ymomentum**2)**0.5',
+                 'depth':     'stage-elevation',
+                 'speed':     '(xmomentum**2 + ymomentum**2)**0.5/(stage-elevation+1.e-6)',
+                 'elevation': 'elevation' }
+
+# one or more key strings from var_equations above
+var = ['elevation']
+
+######
+# Start running the various conversions we require.
+######
+
+for which_var in var:
+    if which_var not in var_equations:
+        print 'Unrecognized variable name: %s' % which_var
+        break
+
+    for which_area in area:
+        if which_area == 'All':
+            easting_min = None
+            easting_max = None
+            northing_min = None
+            northing_max = None
+        else:
+            try:
+                easting_min = eval('project.xmin%s' % which_area)
+                easting_max = eval('project.xmax%s' % which_area)
+                northing_min = eval('project.ymin%s' % which_area)
+                northing_max = eval('project.ymax%s' % which_area)
+            except AttributeError:
+                print 'Unrecognized area name: %s' % which_area
+                break
+
+        for time_dir in time_dirs:
+
+            name1 = join(directory, time_dir, project.scenario_name)
+            #name2 = join(directory, time_dir, project.scenario_name)+'_time_39600_0'
+            #name3 = join(directory, time_dir, project.scenario_name)+'_time_79200_0'
+
+            names = [name1] #, name2]#, name3]
+      
+           # asc_name = []   
+               
+            for name in names:
+                         
+                outname = name + '_' + which_area + '_' + which_var
+                quantityname = var_equations[which_var]
+
+                print 'start sww2dem: time_dir=%s' % time_dir
+                
+                sww2dem(name, basename_out = outname,
+                            quantity = quantityname,
+                            timestep = timestep,
+                            cellsize = cellsize,      
+                            easting_min = easting_min,
+                            easting_max = easting_max,
+                            northing_min = northing_min,
+                            northing_max = northing_max,        
+                            reduction = max, 
+                            verbose = True,
+                            format = 'asc')
+
+##                asc_name.append(outname + '.asc')
+##    
+##            maxasc_outname = join(directory, time_dir, project.scenario_name)+'_'+which_area+'_'+which_var+'_max.asc'
+##
+##            print 'max asc outname ', maxasc_outname
+##            print 'asc_name ', str(asc_name)
+##            
+##            MaxAsc(maxasc_outname, asc_name)
Index: anuga_work/production/australia_ph2/derby/Arc_asc2raster_GDA94z50.py
===================================================================
--- anuga_work/production/australia_ph2/derby/Arc_asc2raster_GDA94z50.py	(revision 6969)
+++ anuga_work/production/australia_ph2/derby/Arc_asc2raster_GDA94z50.py	(revision 6971)
@@ -26,8 +26,10 @@
 
 time_dir1 = '20090408_171910_run_final_0_27268_1708_Tb__kvanputt'
-time_dir2 = '20090410_070302_run_final_0_70437_1708_Tb__kvanputt'
-time_dir3 = '20090411_153927_run_final_0_70862_1708_Tb__kvanputt'
+##time_dir2 = '20090410_070302_run_final_0_70437_1708_Tb__kvanputt'
+##time_dir3 = '20090411_153927_run_final_0_70862_1708_Tb__kvanputt'
 
-time_dirs = [time_dir1, time_dir2, time_dir3]
+time_dir2 = '20090421_175503_run_final_0_27268_1708_Tb_internal_mhingee'
+
+time_dirs = [time_dir1, time_dir2]#, time_dir3]
 
 for time_dir in time_dirs:
@@ -38,6 +40,6 @@
 ##    ocean = scenario_dir + "map_work\\\port_hedland.gdb\\outlines\\initial_conditions_ocean"
 
-    print 'Process: Create File GDB'
-    gp.CreateFileGDB_management(folder, "raster")
+##    print 'Process: Create File GDB'
+##    gp.CreateFileGDB_management(folder, "raster")
 
     gp.Workspace = raster_gbd
@@ -52,5 +54,5 @@
 
     generate_filename = []
-    input_ascii = glob.glob(folder + '*max.asc')
+    input_ascii = glob.glob(folder + '*elevation.asc')
 
     for infile in input_ascii:
Index: anuga_work/production/australia_ph2/geraldton/Arc_asc2raster_GDA94z50.py
===================================================================
--- anuga_work/production/australia_ph2/geraldton/Arc_asc2raster_GDA94z50.py	(revision 6969)
+++ anuga_work/production/australia_ph2/geraldton/Arc_asc2raster_GDA94z50.py	(revision 6971)
@@ -26,8 +26,10 @@
 
 time_dir1 = '20090414_114540_run_final_0_64475_576_Tb__kvanputt'
-time_dir2 = '20090415_014342_run_final_0_70921_576_Tb__kvanputt'
-time_dir3 = '20090415_153319_run_final_0_26985_576_Tb__kvanputt'
+##time_dir2 = '20090415_014342_run_final_0_70921_576_Tb__kvanputt'
+##time_dir3 = '20090415_153319_run_final_0_26985_576_Tb__kvanputt'
 
-time_dirs = [time_dir1, time_dir2, time_dir3]
+time_dir2 = '20090421_172030_run_final_0_64475_576_Tb_internal_mhingee'
+
+time_dirs = [time_dir1, time_dir2]#, time_dir3]
 
 for time_dir in time_dirs:
@@ -38,6 +40,6 @@
 ##    ocean = scenario_dir + "map_work\\\port_hedland.gdb\\outlines\\initial_conditions_ocean"
 
-    print 'Process: Create File GDB'
-    gp.CreateFileGDB_management(folder, "raster")
+##    print 'Process: Create File GDB'
+##    gp.CreateFileGDB_management(folder, "raster")
 
     gp.Workspace = raster_gbd
@@ -52,5 +54,5 @@
 
     generate_filename = []
-    input_ascii = glob.glob(folder + '*max.asc')
+    input_ascii = glob.glob(folder + '*elevation.asc')
 
     for infile in input_ascii:
Index: anuga_work/production/australia_ph2/melbourne_east/Arc_asc2raster_GDA94z50.py
===================================================================
--- anuga_work/production/australia_ph2/melbourne_east/Arc_asc2raster_GDA94z50.py	(revision 6969)
+++ anuga_work/production/australia_ph2/melbourne_east/Arc_asc2raster_GDA94z50.py	(revision 6971)
@@ -34,6 +34,6 @@
 time_dir7 = '20090421_152359_run_final_0_58115_2649_Tb_east_internal_mhingee'
 
-time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir7]
-##time_dirs = [time_dir4]
+##time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir7]
+time_dirs = [time_dir1, time_dir7]
     
 for time_dir in time_dirs:
@@ -44,6 +44,6 @@
 ##    ocean = scenario_dir + "map_work\\\port_hedland.gdb\\outlines\\initial_conditions_ocean"
 
-    print 'Process: Create File GDB'
-    gp.CreateFileGDB_management(folder, "raster")
+##    print 'Process: Create File GDB'
+##    gp.CreateFileGDB_management(folder, "raster")
 
     gp.Workspace = raster_gbd
@@ -58,5 +58,5 @@
 
     generate_filename = []
-    input_ascii = glob.glob(folder + '*max.asc')
+    input_ascii = glob.glob(folder + '*elevation.asc')
 
     for infile in input_ascii:
Index: anuga_work/production/australia_ph2/onslow/Arc_asc2raster_GDA94z50.py
===================================================================
--- anuga_work/production/australia_ph2/onslow/Arc_asc2raster_GDA94z50.py	(revision 6969)
+++ anuga_work/production/australia_ph2/onslow/Arc_asc2raster_GDA94z50.py	(revision 6971)
@@ -26,8 +26,10 @@
 
 time_dir1 = '20090414_121216_run_final_0_27279_711_Tb__kvanputt'
-time_dir2 = '20090415_001215_run_final_0_70371_711_Tb__kvanputt'
-time_dir3 = '20090415_114548_run_final_0_27168_711_Tb__kvanputt'
+##time_dir2 = '20090415_001215_run_final_0_70371_711_Tb__kvanputt'
+##time_dir3 = '20090415_114548_run_final_0_27168_711_Tb__kvanputt'
 
-time_dirs = [time_dir1, time_dir2, time_dir3]
+time_dir2 = '20090421_172702_run_final_0_27279_711_Tb_internal_mhingee'
+
+time_dirs = [time_dir1, time_dir2]#, time_dir3]
 
 for time_dir in time_dirs:
@@ -38,6 +40,6 @@
 ##    ocean = scenario_dir + "map_work\\\port_hedland.gdb\\outlines\\initial_conditions_ocean"
 
-    print 'Process: Create File GDB'
-    gp.CreateFileGDB_management(folder, "raster")
+##    print 'Process: Create File GDB'
+##    gp.CreateFileGDB_management(folder, "raster")
 
     gp.Workspace = raster_gbd
@@ -52,5 +54,5 @@
 
     generate_filename = []
-    input_ascii = glob.glob(folder + '*max.asc')
+    input_ascii = glob.glob(folder + '*elevation.asc')
 
     for infile in input_ascii:
Index: anuga_work/production/australia_ph2/strahan/Arc_asc2raster_GDA94z50.py
===================================================================
--- anuga_work/production/australia_ph2/strahan/Arc_asc2raster_GDA94z50.py	(revision 6969)
+++ anuga_work/production/australia_ph2/strahan/Arc_asc2raster_GDA94z50.py	(revision 6971)
@@ -32,5 +32,5 @@
 
 ##time_dirs = [time_dir1, time_dir2, time_dir3]
-time_dirs = [time_dir4]
+time_dirs = [time_dir1]
     
 for time_dir in time_dirs:
@@ -41,6 +41,6 @@
 ##    ocean = scenario_dir + "map_work\\\port_hedland.gdb\\outlines\\initial_conditions_ocean"
 
-    print 'Process: Create File GDB'
-    gp.CreateFileGDB_management(folder, "raster")
+##    print 'Process: Create File GDB'
+##    gp.CreateFileGDB_management(folder, "raster")
 
     gp.Workspace = raster_gbd
@@ -55,5 +55,5 @@
 
     generate_filename = []
-    input_ascii = glob.glob(folder + '*.asc')
+    input_ascii = glob.glob(folder + '*elevation.asc')
 
     for infile in input_ascii:
Index: anuga_work/production/australia_ph2/wyndham/Arc_asc2raster_GDA94z50.py
===================================================================
--- anuga_work/production/australia_ph2/wyndham/Arc_asc2raster_GDA94z50.py	(revision 6971)
+++ anuga_work/production/australia_ph2/wyndham/Arc_asc2raster_GDA94z50.py	(revision 6971)
@@ -0,0 +1,83 @@
+# ---------------------------------------------------------------------------
+# This python script is an ArcGIS script that can only be run on a computer
+# with and ArcGIS licence and version 2.4.1 python.
+# This script is designed to read in .asc files and deliever rasters with
+# projection (GDA94z50) held in a file geodatabase (called raster)
+# written by Kristy Van Putten and Ross Wilson
+# ---------------------------------------------------------------------------
+
+# Import system modules
+import sys, string, os, arcgisscripting, glob, os.path
+
+# Create the Geoprocessor object
+gp = arcgisscripting.create()
+
+# Check out any necessary licenses
+gp.CheckOutExtension("spatial")
+
+# Load required toolboxes...
+gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Spatial Analyst Tools.tbx")
+gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Conversion Tools.tbx")
+gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Data Management Tools.tbx")
+gp.overwriteoutput = 1
+
+scenario_dir = "\\\\nas2\\gemd\\georisk_models\\inundation\\data\\australia_ph2\\wyndham\\"
+output_dir="anuga\\outputs\\"
+
+time_dir1 = '20090415_094009_run_final_0_17918_1823_Tb__kvanputt'
+time_dir2 = '20090418_182759_run_final_0_64962_1823_Tb__kvanputt'
+time_dir3 = '20090421_145541_run_final_0_70920_1823_Tb__kvanputt'
+
+##time_dir1 = '20090428_145948_run_final_0_64962_1823_Tb_internal_mhingee'
+
+time_dirs = [time_dir2]#, time_dir2, time_dir3]
+
+for time_dir in time_dirs:
+    # Local variables...
+    folder = scenario_dir + output_dir +  time_dir +'\\'
+    raster_gbd = folder + 'raster.gdb'
+##    land = scenario_dir + "map_work\\\port_hedland.gdb\\outlines\\initial_condition"
+##    ocean = scenario_dir + "map_work\\\port_hedland.gdb\\outlines\\initial_conditions_ocean"
+
+##    print 'Process: Create File GDB'
+##    gp.CreateFileGDB_management(folder, "raster")
+
+    gp.Workspace = raster_gbd
+
+    print gp.Workspace
+    
+    #replication dictionary
+    replicate = (('wyndham', ''),('_', ''),('max','_M'),
+                 ('CBD', 'CDB'),('All',''),
+                 ('depth','_depth'),('speed', '_speed'),
+                 ('elevation', '_ele_'), ('stage','_stage'))
+
+    generate_filename = []
+    input_ascii = glob.glob(folder + '*elevation.asc')
+
+    for infile in input_ascii:
+        output_DEM = os.path.basename(infile)[:-4]
+        for (key, rep) in replicate:
+            output_DEM = output_DEM.replace(key,rep)
+        output_DEM = output_DEM[:10]
+        if output_DEM in generate_filename:
+            print 'Output_DEM filename (%s) already in use' % output_DEM
+            sys.exit(10)
+        generate_filename.append(output_DEM)
+
+        print 'Output DEM ',output_DEM
+        
+        print 'Process: ASCII to Raster'
+        gp.ASCIIToRaster_conversion(infile, output_DEM, "FLOAT")
+
+        print 'Process: Define Projection'
+        #GDA_1994_MGA_Zone_54
+        gp.DefineProjection_management(output_DEM, "PROJCS['CM_128',GEOGCS['GCS_GDA_1994',DATUM['D_GDA_1994',SPHEROID['GRS_1980',6378137.0,298.257222101]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]]"
+                                                   ",PROJECTION['Transverse_Mercator'],PARAMETER['False_Easting',500000.0],PARAMETER['False_Northing',10000000.0],PARAMETER['Central_Meridian',128.0],PARAMETER['Scale_Factor',0.9996]"
+                                                   ",PARAMETER['Latitude_Of_Origin',0.0],UNIT['Meter',1.0]]")
+##        output_extract = output_DEM + 'E'
+##        print 'Output Extract ',output_extract
+##        print 'Process: Extract by Mask'
+##        gp.ExtractByMask_sa(output_DEM, land, output_extract)
+
+
Index: anuga_work/production/australia_ph2/wyndham/export_results.py
===================================================================
--- anuga_work/production/australia_ph2/wyndham/export_results.py	(revision 6971)
+++ anuga_work/production/australia_ph2/wyndham/export_results.py	(revision 6971)
@@ -0,0 +1,121 @@
+"""
+Generates ascii grids of nominated areas -
+Input: sww file from run_perth.py
+       boundaries for grids from project.py
+Outputs: ascii grids of specified variables
+Stored in the 'outputs_dir' folder for respective .sww file
+
+Note:
+If producing a grid for the enitre extent cellsize should be greater than 30m
+If producing grids for inundation area resolution should be greater than mesh (ie ~22m)
+"""
+
+import project, os
+import sys
+from os.path import join
+from anuga.lib.maxasc.maxasc import MaxAsc
+from anuga.shallow_water.data_manager import convert_dem_from_ascii2netcdf, dem2pts
+from anuga.shallow_water.data_manager import sww2dem
+from os import sep
+
+
+directory = project.output_folder
+
+time_dir1 = '20090418_182759_run_final_0_64962_1823_Tb__kvanputt'
+time_dir2 = '20090428_145948_run_final_0_64962_1823_Tb_internal_mhingee'
+##time_dir3 = ''
+##time_dir4 = ''
+##time_dir5 = ''
+##time_dir6 = ''
+##
+time_dirs = [time_dir1, time_dir2]# , time_dir4, time_dir5, time_dir6]
+  
+
+cellsize = 250
+##cellsize = 5
+
+#timestep = None    # None means no timestep!
+timestep = 0
+
+######
+# Set the special areas of interest.  If none, do: area='All'
+######
+
+#area = ['Bunbury', 'Busselton']  # strings must match keys in var_equations below
+area = ['All']      # 'All' means no special areas - the whole thing
+
+######
+# Define allowed variable names and associated equations to generate values.
+# This would not normally change.
+######
+var_equations = {'stage':     'stage',
+                 'momentum':  '(xmomentum**2 + ymomentum**2)**0.5',
+                 'depth':     'stage-elevation',
+                 'speed':     '(xmomentum**2 + ymomentum**2)**0.5/(stage-elevation+1.e-6)',
+                 'elevation': 'elevation' }
+
+# one or more key strings from var_equations above
+var = ['elevation']
+
+######
+# Start running the various conversions we require.
+######
+
+for which_var in var:
+    if which_var not in var_equations:
+        print 'Unrecognized variable name: %s' % which_var
+        break
+
+    for which_area in area:
+        if which_area == 'All':
+            easting_min = None
+            easting_max = None
+            northing_min = None
+            northing_max = None
+        else:
+            try:
+                easting_min = eval('project.xmin%s' % which_area)
+                easting_max = eval('project.xmax%s' % which_area)
+                northing_min = eval('project.ymin%s' % which_area)
+                northing_max = eval('project.ymax%s' % which_area)
+            except AttributeError:
+                print 'Unrecognized area name: %s' % which_area
+                break
+
+        for time_dir in time_dirs:
+
+            name1 = join(directory, time_dir, project.scenario_name)
+            #name2 = join(directory, time_dir, project.scenario_name)+'_time_39600_0'
+            #name3 = join(directory, time_dir, project.scenario_name)+'_time_79200_0'
+
+            names = [name1] #, name2]#, name3]
+      
+           # asc_name = []   
+               
+            for name in names:
+                         
+                outname = name + '_' + which_area + '_' + which_var
+                quantityname = var_equations[which_var]
+
+                print 'start sww2dem: time_dir=%s' % time_dir
+                
+                sww2dem(name, basename_out = outname,
+                            quantity = quantityname,
+                            timestep = timestep,
+                            cellsize = cellsize,      
+                            easting_min = easting_min,
+                            easting_max = easting_max,
+                            northing_min = northing_min,
+                            northing_max = northing_max,        
+                            reduction = max, 
+                            verbose = True,
+                            format = 'asc')
+
+##                asc_name.append(outname + '.asc')
+##    
+##            maxasc_outname = join(directory, time_dir, project.scenario_name)+'_'+which_area+'_'+which_var+'_max.asc'
+##
+##            print 'max asc outname ', maxasc_outname
+##            print 'asc_name ', str(asc_name)
+##            
+##            MaxAsc(maxasc_outname, asc_name)