Index: /anuga_work/production/australia_ph2/carnarvon/build_elevation.py
===================================================================
--- /anuga_work/production/australia_ph2/carnarvon/build_elevation.py	(revision 6981)
+++ /anuga_work/production/australia_ph2/carnarvon/build_elevation.py	(revision 6982)
@@ -55,7 +55,7 @@
         convert_dem_from_ascii2netcdf(absolute_filename,
                                       basename_out=absolute_filename,
-                                      use_cache=True,
+                                      use_cache=False,
                                       verbose=True)
-        dem2pts(absolute_filename, use_cache=True, verbose=True)
+        dem2pts(absolute_filename, use_cache=False, verbose=True)
 
         geospatial_data[filename] = Geospatial_data(file_name=absolute_filename+'.pts',
@@ -86,11 +86,11 @@
 ##G_all = G_clip + geospatial_data[project.point_filenames[4]] 
 #G_clipped = G_all.clip(project.poly_all)
-G_clip = G.clip(project.bounding_polygon)
+#G_clip = G.clip(project.bounding_polygon)
 
 
 print 'Export combined DEM file'
-G_clip.export_points_file(project.combined_elevation + '.pts')
+G.export_points_file(project.combined_elevation + '.pts')
 print 'Do txt version too'
 # Use for comparision in ARC
-G_clip.export_points_file(project.combined_elevation + '.txt')
+G.export_points_file(project.combined_elevation + '.txt')
 
Index: /anuga_work/production/australia_ph2/carnarvon/project.py
===================================================================
--- /anuga_work/production/australia_ph2/carnarvon/project.py	(revision 6981)
+++ /anuga_work/production/australia_ph2/carnarvon/project.py	(revision 6982)
@@ -32,5 +32,5 @@
     event_number = int(sys.argv[1])
 else:    
-    event_number = 27285    # the event number or the mux file name
+    event_number = 68754    # the event number or the mux file name
 
 event_number_list = [27285, 68754, 70881] # To piggy back multiple events
@@ -78,5 +78,5 @@
 # Used in build_elevation.py
 # Format for ascii grids, as produced in ArcGIS + a projection file
-ascii_grid_filenames = ['grid250m_simple'] # 250m grid 2005
+ascii_grid_filenames = ['grid_250m_simple'] # 250m grid 2005
 
 # Format for points is x,y,elevation (with header)
@@ -132,5 +132,5 @@
 # Landward bounding points
 # Format easting,northing (no header)
-landward_boundary_filename = 'landward_boundary_simple.csv'
+landward_boundary_filename = 'landward_boundary_simple2.csv'
 
 # MUX input filename.
@@ -145,5 +145,5 @@
 # Whatever is specified here will be relative to INUNDATION_HOME/.cache
 # If nothing is specified, local cache will be used.
-cachedir = '.python_cache_phII'
+#cachedir = '.python_cache_phII'
 
 
@@ -173,5 +173,5 @@
 # Output filename for elevation
 # this is a combination of all the data generated in build_elevation.py
-combined_elevation_basename = scenario_name + '_combined_elevation'
+combined_elevation_basename = scenario_name + '_combined_elevation_simple'
 
 #-------------------------------------------------------------------------------
@@ -191,8 +191,8 @@
 # Create absolute pathname for cache directory
 # and change caching to use it
-if 'cachedir' in dir():
-    cachedir = join(os.getenv(ENV_INUNDATIONHOME), '.cache', cachedir)
-    from anuga.caching import caching
-    caching.set_option('cachedir', cachedir) 
+##if 'cachedir' in dir():
+##    cachedir = join(os.getenv(ENV_INUNDATIONHOME), '.cache', cachedir)
+##    from anuga.caching import caching
+##    caching.set_option('cachedir', cachedir) 
     
 # check various directories/files that must exist
@@ -219,5 +219,5 @@
 
 # The absolute pathname of the all elevation, generated in build_elevation.py
-combined_elevation = join(topographies_folder, combined_elevation_basename)+'_simple'
+combined_elevation = join(topographies_folder, combined_elevation_basename)
 
 # The absolute pathname of the mesh, generated in run_model.py
Index: /anuga_work/production/australia_ph2/hobart/build_elevation.py
===================================================================
--- /anuga_work/production/australia_ph2/hobart/build_elevation.py	(revision 6981)
+++ /anuga_work/production/australia_ph2/hobart/build_elevation.py	(revision 6982)
@@ -86,11 +86,11 @@
 ##G_all = G_clip + geospatial_data[project.point_filenames[4]] 
 #G_clipped = G_all.clip(project.poly_all)
-G_clip = G.clip(project.bounding_polygon)
+#G_clip = G.clip(project.bounding_polygon)
 
 
 print 'Export combined DEM file'
-G_clip.export_points_file(project.combined_elevation + '.pts')
+G.export_points_file(project.combined_elevation + '.pts')
 print 'Do txt version too'
 # Use for comparision in ARC
-G_clip.export_points_file(project.combined_elevation + '.txt')
+G.export_points_file(project.combined_elevation + '.txt')
 
Index: /anuga_work/production/australia_ph2/hobart/export_results_max.py
===================================================================
--- /anuga_work/production/australia_ph2/hobart/export_results_max.py	(revision 6981)
+++ /anuga_work/production/australia_ph2/hobart/export_results_max.py	(revision 6982)
@@ -22,12 +22,10 @@
 directory = project.output_folder
 
-time_dir1 = '20090130_165532_run_final_0.6_27255_extend_dt_kvanputt'
-##time_dir2 = ''
-##time_dir3 = ''
-##time_dir4 = ''
-##time_dir5 = ''
-##time_dir6 = ''
-##
-time_dirs = [time_dir1] #5, time_dir4]# , time_dir4, time_dir5, time_dir6]
+time_dir1 = '20090424_121952_run_final_0_51204_2462_Tb__kvanputt'
+time_dir2 = '20090424_123250_run_final_0_51204_2462_Tb_internal_kvanputt'
+time_dir3 = '20090424_122951_run_final_0_58212_2462_Tb__kvanputt'
+time_dir4 = '20090424_123104_run_final_0_64425_2462_Tb__kvanputt'
+
+time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4]
   
 
@@ -35,6 +33,6 @@
 ##cellsize = 5
 
-#timestep = None    # None means no timestep!
-timestep = 0
+timestep = None    # None means no timestep!
+#timestep = 0
 
 ######
@@ -42,5 +40,4 @@
 ######
 
-#area = ['Bunbury', 'Busselton']  # strings must match keys in var_equations below
 area = ['All']      # 'All' means no special areas - the whole thing
 
@@ -56,5 +53,5 @@
 
 # one or more key strings from var_equations above
-var = ['elevation']
+var = ['stage']
 
 ######
@@ -85,37 +82,21 @@
         for time_dir in time_dirs:
 
-            name1 = join(directory, time_dir, project.scenario_name)
-            #name2 = join(directory, time_dir, project.scenario_name)+'_time_39600_0'
-            #name3 = join(directory, time_dir, project.scenario_name)+'_time_79200_0'
+            name = join(directory, time_dir, project.scenario_name)
+                           
+            outname = name + '_' + which_area + '_' + which_var
+            quantityname = var_equations[which_var]
 
-            names = [name1] #, name2]#, name3]
-      
-           # asc_name = []   
-               
-            for name in names:
-                         
-                outname = name + '_' + which_area + '_' + which_var
-                quantityname = var_equations[which_var]
+            print 'start sww2dem: time_dir=%s' % time_dir
+            
+            sww2dem(name, basename_out = outname,
+                        quantity = quantityname,
+                        timestep = timestep,
+                        cellsize = cellsize,      
+                        easting_min = easting_min,
+                        easting_max = easting_max,
+                        northing_min = northing_min,
+                        northing_max = northing_max,        
+                        reduction = max, 
+                        verbose = True,
+                        format = 'asc')
 
-                print 'start sww2dem: time_dir=%s' % time_dir
-                
-                sww2dem(name, basename_out = outname,
-                            quantity = quantityname,
-                            timestep = timestep,
-                            cellsize = cellsize,      
-                            easting_min = easting_min,
-                            easting_max = easting_max,
-                            northing_min = northing_min,
-                            northing_max = northing_max,        
-                            reduction = max, 
-                            verbose = True,
-                            format = 'asc')
-
-##                asc_name.append(outname + '.asc')
-##    
-##            maxasc_outname = join(directory, time_dir, project.scenario_name)+'_'+which_area+'_'+which_var+'_max.asc'
-##
-##            print 'max asc outname ', maxasc_outname
-##            print 'asc_name ', str(asc_name)
-##            
-##            MaxAsc(maxasc_outname, asc_name)
Index: /anuga_work/production/australia_ph2/hobart/project.py
===================================================================
--- /anuga_work/production/australia_ph2/hobart/project.py	(revision 6981)
+++ /anuga_work/production/australia_ph2/hobart/project.py	(revision 6982)
@@ -32,7 +32,7 @@
     event_number = int(sys.argv[1])
 else:    
-    event_number = 58082    # the event number or the mux file name
-
-event_number_list = [51268, 58082, 64309] # To piggy back multiple events
+    event_number = 51204    # the event number or the mux file name
+
+event_number_list = [51204, 58212, 64425] # To piggy back multiple events
 
 tide = 0                # difference between MSL and HAT
@@ -40,5 +40,5 @@
 friction=0.01           # manning's friction coefficient
 starttime=0             # start time for simulation
-finaltime=60000 # final time for simulation
+finaltime=60000         # final time for simulation
 setup = 'final'         # This can be one of three values
                         #    trial - coarsest mesh, fast
@@ -47,9 +47,9 @@
 
 # index is only used when wave = Tb
-index = 2528            # index from the PTHA - Y2000 0.257m
+index = 2462            # index from the PTHA - Y2000 0.257m
 wave = 'Tb'             # Bf (sts wave) Tb (index wave)
 
 
-internal_polygon = False
+internal_polygon = True
 
 #-------------------------------------------------------------------------------
@@ -78,8 +78,8 @@
 # Used in build_elevation.py
 # Format for ascii grids, as produced in ArcGIS + a projection file
-ascii_grid_filenames = [] # 250m grid 2005
+ascii_grid_filenames = ['grid_250m_simple'] # 250m grid 2005
 
 # Format for points is x,y,elevation (with header)
-point_filenames = ['grid_250m.txt']   # 250m grid 2005
+point_filenames = []   # 250m grid 2005
 
 ### Add csv header list to all files in point_filenames
@@ -91,5 +91,5 @@
 # Used in build_elevation.py
 # Format for points: easting,northing (no header)
-bounding_polygon_filename = 'bounding_polygon.csv'
+bounding_polygon_filename = 'bounding_polygon_simple.csv'
 bounding_polygon_maxarea = 125000
 
@@ -128,5 +128,5 @@
 # Thinned ordering file from Hazard Map (geographic)
 # Format is index,latitude,longitude (with header)
-urs_order_filename = 'urs_order_simple.csv'
+urs_order_filename = 'urs_order_simple2.csv'
 
 # Landward bounding points
@@ -173,5 +173,5 @@
 # Output filename for elevation
 # this is a combination of all the data generated in build_elevation.py
-combined_elevation_basename = scenario_name + '_combined_elevation'
+combined_elevation_basename = scenario_name + '_combined_elevation_simple'
 
 #-------------------------------------------------------------------------------
Index: /anuga_work/production/australia_ph2/melbourne_east/project.py
===================================================================
--- /anuga_work/production/australia_ph2/melbourne_east/project.py	(revision 6981)
+++ /anuga_work/production/australia_ph2/melbourne_east/project.py	(revision 6982)
@@ -29,15 +29,9 @@
     event_number = int(sys.argv[1])
 else:    
-    event_number = 58348    # the event number or the mux file name
+    event_number = 31853    # the event number or the mux file name
 
 event_side = 'east' #'west'
-
-if event_side == 'west':
-    index = 1979 # index from the PTHA - Y2000 0.257m
-    event_number_list = [58348, 64288, 68793] # To piggy back multiple events
-
-elif event_side == 'east':
-    index = 2649 
-    event_number_list = [31853, 51449, 58115] # To piggy back multiple events
+index = 2649 
+event_number_list = [31853, 51449, 58115] # To piggy back multiple events
 
 central_meridian = 146.0 # Central meridian for projection (optional)
Index: /anuga_work/production/australia_ph2/sydney/export_results.py
===================================================================
--- /anuga_work/production/australia_ph2/sydney/export_results.py	(revision 6981)
+++ /anuga_work/production/australia_ph2/sydney/export_results.py	(revision 6982)
@@ -29,6 +29,6 @@
 ##cellsize = 5
 
-#timestep = None    # None means no timestep!
-timestep = 0
+timestep = None    # None means no timestep!
+#timestep = 0
 
 ######
@@ -50,5 +50,5 @@
 
 # one or more key strings from var_equations above
-var = ['elevation']
+var = ['stage']
 
 ######
@@ -79,41 +79,21 @@
         for time_dir in time_dirs:
 
-            name1 = join(directory, time_dir, project.scenario_name)
-##            name2 = join(directory, time_dir, project.scenario_name)+'_time_21060_0'
-##            name3 = join(directory, time_dir, project.scenario_name)+'_time_42120_0'
-##            name4 = join(directory, time_dir, project.scenario_name)+'_time_63180_0'
-##            name5 = join(directory, time_dir, project.scenario_name)+'_time_53280_0'
-##            name6 = join(directory, time_dir, project.scenario_name)+'_time_66600_0'
-##            name7 = join(directory, time_dir, project.scenario_name)+'_time_79920_0'
+            name = join(directory, time_dir, project.scenario_name)
             
-            names = [name1]#, name2, name3,name4]#,name5,name6,name7]
-      
-            asc_name = []   
-               
-            for name in names:
-                         
-                outname = name + '_' + which_area + '_' + which_var
-                quantityname = var_equations[which_var]
+            outname = name + '_' + which_area + '_' + which_var
+            quantityname = var_equations[which_var]
+            
+            print 'start sww2dem: time_dir=%s' % time_dir
+            
+            sww2dem(name, basename_out = outname,
+                        quantity = quantityname,
+                        timestep = timestep,
+                        cellsize = cellsize,      
+                        easting_min = easting_min,
+                        easting_max = easting_max,
+                        northing_min = northing_min,
+                        northing_max = northing_max,        
+                        reduction = max, 
+                        verbose = True,
+                        format = 'asc')
 
-                print 'start sww2dem: time_dir=%s' % time_dir
-                
-                sww2dem(name, basename_out = outname,
-                            quantity = quantityname,
-                            timestep = timestep,
-                            cellsize = cellsize,      
-                            easting_min = easting_min,
-                            easting_max = easting_max,
-                            northing_min = northing_min,
-                            northing_max = northing_max,        
-                            reduction = max, 
-                            verbose = True,
-                            format = 'asc')
-
-##                asc_name.append(outname + '.asc')
-##    
-##            maxasc_outname = join(directory, time_dir, project.scenario_name)+'_'+which_area+'_'+which_var+'_max.asc'
-##
-##            print 'max asc outname ', maxasc_outname
-##            print 'asc_name ', str(asc_name)
-##            
-##            MaxAsc(maxasc_outname, asc_name)
Index: /anuga_work/production/australia_ph2/sydney/export_results_max.py
===================================================================
--- /anuga_work/production/australia_ph2/sydney/export_results_max.py	(revision 6981)
+++ /anuga_work/production/australia_ph2/sydney/export_results_max.py	(revision 6982)
@@ -22,8 +22,8 @@
 directory = project.output_folder
 
-time_dir1 = '20090421_150708_run_final_0_58152_2938_Tb_internal_mhingee'
-##time_dir2 = '20090311_152929_run_final_0_70385_1203_Tb_jgriffin'
-##time_dir3 = '20090311_153009_run_final_0_70454_1203_Bf_jgriffin'
-##time_dir4 = '20090311_153054_run_final_0_70339_1203_Bf_jgriffin'
+time_dir1 = '20090428_131539_run_final_30_0_58152_2938_Tb_internal_kvanputt'
+time_dir2 = '20090311_152929_run_final_0_70385_1203_Tb_jgriffin'
+time_dir3 = '20090311_153009_run_final_0_70454_1203_Bf_jgriffin'
+time_dir4 = '20090311_153054_run_final_0_70339_1203_Bf_jgriffin'
 time_dirs = [time_dir1]#,time_dir2,time_dir3,time_dir4]  
 
@@ -86,12 +86,12 @@
 
             name1 = join(directory, time_dir, project.scenario_name)
-##            name2 = join(directory, time_dir, project.scenario_name)+'_time_66360_0'
-##            name3 = join(directory, time_dir, project.scenario_name)+'_time_26640_0'
-##            name4 = join(directory, time_dir, project.scenario_name)+'_time_39960_0'
-##            name5 = join(directory, time_dir, project.scenario_name)+'_time_53280_0'
-##            name6 = join(directory, time_dir, project.scenario_name)+'_time_66600_0'
-##            name7 = join(directory, time_dir, project.scenario_name)+'_time_79920_0'
+            name2 = join(directory, time_dir, project.scenario_name)+'_time_32460_0'
+            name3 = join(directory, time_dir, project.scenario_name)+'_time_26640_0'
+            name4 = join(directory, time_dir, project.scenario_name)+'_time_39960_0'
+            name5 = join(directory, time_dir, project.scenario_name)+'_time_53280_0'
+            name6 = join(directory, time_dir, project.scenario_name)+'_time_66600_0'
+            name7 = join(directory, time_dir, project.scenario_name)+'_time_79920_0'
             
-            names = [name1]#, name2]#, name3,name4,name5,name6,name7]
+            names = [name1, name2]#, name3,name4,name5,name6,name7]
       
             asc_name = []   
@@ -116,10 +116,10 @@
                             format = 'asc')
 
-##                asc_name.append(outname + '.asc')
-##    
-##            maxasc_outname = join(directory, time_dir, project.scenario_name)+'_'+which_area+'_'+which_var+'_max.asc'
-##
-##            print 'max asc outname ', maxasc_outname
-##            print 'asc_name ', str(asc_name)
-##            
-##            MaxAsc(maxasc_outname, asc_name)
+                asc_name.append(outname + '.asc')
+    
+            maxasc_outname = join(directory, time_dir, project.scenario_name)+'_'+which_area+'_'+which_var+'_max.asc'
+
+            print 'max asc outname ', maxasc_outname
+            print 'asc_name ', str(asc_name)
+            
+
Index: /anuga_work/production/australia_ph2/sydney/project.py
===================================================================
--- /anuga_work/production/australia_ph2/sydney/project.py	(revision 6981)
+++ /anuga_work/production/australia_ph2/sydney/project.py	(revision 6982)
@@ -45,5 +45,5 @@
 starttime=0             # start time for simulation
 finaltime=60000   #60000 # final time for simulation
-setup = 'final'         # This can be one of three values
+setup = 'final_30'         # This can be one of three values
                         #    trial - coarsest mesh, fast
                         #    basic - coarse mesh
Index: /anuga_work/production/australia_ph2/sydney/setup_model.py
===================================================================
--- /anuga_work/production/australia_ph2/sydney/setup_model.py	(revision 6981)
+++ /anuga_work/production/australia_ph2/sydney/setup_model.py	(revision 6982)
@@ -109,4 +109,14 @@
     project.time_thinning = 12
     project.yieldstep = 120
+elif project.setup == 'final_120': 
+    print 'final_120'
+    project.scale_factor = 1
+    project.time_thinning = 4
+    project.yieldstep = 120
+elif project.setup == 'final_30': 
+    print 'final_120'
+    project.scale_factor = 1
+    project.time_thinning = 4
+    project.yieldstep = 30
 elif project.setup == 'final': 
     print 'final'