Index: /branches/numpy_misc/tools/acceptance_tests/machines_cyclone
===================================================================
--- /branches/numpy_misc/tools/acceptance_tests/machines_cyclone	(revision 6996)
+++ /branches/numpy_misc/tools/acceptance_tests/machines_cyclone	(revision 6996)
@@ -0,0 +1,25 @@
+compute-1-21 slots=2
+compute-1-22 slots=2
+compute-1-20 slots=2
+compute-1-19 slots=2
+compute-1-18 slots=2
+compute-1-17 slots=2
+compute-1-16 slots=2
+compute-1-15 slots=2
+compute-1-14 slots=2
+compute-1-13 slots=2
+compute-1-12 slots=2
+compute-1-11 slots=2
+compute-1-10 slots=2
+compute-1-9 slots=2
+compute-1-8 slots=2
+compute-1-7 slots=2
+compute-1-6 slots=2
+compute-1-5 slots=2
+compute-1-4 slots=2
+compute-1-3 slots=2
+compute-1-2 slots=2
+compute-1-1 slots=2
+compute-1-0 slots=2
+cyclone cpu=2
+
Index: /branches/numpy_misc/tools/acceptance_tests/machines_tornado
===================================================================
--- /branches/numpy_misc/tools/acceptance_tests/machines_tornado	(revision 6996)
+++ /branches/numpy_misc/tools/acceptance_tests/machines_tornado	(revision 6996)
@@ -0,0 +1,24 @@
+compute-0-0 cpu=4
+compute-0-1 cpu=4
+compute-0-2 cpu=4
+compute-0-3 cpu=4
+compute-0-4 cpu=4
+compute-0-5 cpu=4
+compute-0-6 cpu=4
+compute-0-7 cpu=4
+compute-0-8 cpu=4
+compute-0-9 cpu=4
+compute-0-10 cpu=4
+compute-0-11 cpu=4
+compute-0-12 cpu=4
+compute-0-13 cpu=4
+compute-0-14 cpu=4
+compute-0-15 cpu=4
+compute-0-16 cpu=4
+compute-0-17 cpu=4
+compute-0-18 cpu=4
+compute-0-19 cpu=4
+tornado cpu=4
+
+
+
Index: /branches/numpy_misc/tools/acceptance_tests/mandelbrot/compile_mandelbrot_c_extensions.py
===================================================================
--- /branches/numpy_misc/tools/acceptance_tests/mandelbrot/compile_mandelbrot_c_extensions.py	(revision 6995)
+++ /branches/numpy_misc/tools/acceptance_tests/mandelbrot/compile_mandelbrot_c_extensions.py	(revision 6996)
@@ -1,2 +1,4 @@
+#!/usr/bin/env python
+
 """This module will compile the necessary c-extensions for the mandelbrot demos
 """
Index: /branches/numpy_misc/tools/acceptance_tests/test_all.py
===================================================================
--- /branches/numpy_misc/tools/acceptance_tests/test_all.py	(revision 6995)
+++ /branches/numpy_misc/tools/acceptance_tests/test_all.py	(revision 6996)
@@ -6,4 +6,5 @@
 import sys
 import time
+import shutil
 import test_utils as util
 
@@ -40,4 +41,22 @@
         sys.exit(10)
 
+    # copy machines_<name> files from here to ~
+    home = os.getenv('HOME')
+    if not home:
+        util.log_print_nl(logfile, "Sorry, you don't have the 'HOME' environment variable set.")
+        sys.exit(10)
+    machine_file = 'machines_%s' % hostname
+    shutil.copyfile(machine_file, os.path.join(home, '.'+machine_file))
+
+    # make sure environment variables are set
+    python = os.getenv('PYTHON')
+    pythonpath = os.getenv('PYTHONPATH')
+    if not python or not pythonpath:
+        if not python:
+            util.log_print_nl(logfile, 'Sorry, you must set the PYTHON environment variable.')
+        if not pythonpath:
+            util.log_print_nl(logfile, 'Sorry, you must set the PYTHONPATH environment variable.')
+        sys.exit(10)
+
     # run the tests
     for test_module in Tests:
Index: /branches/numpy_misc/tools/acceptance_tests/test_dump_python_environment.py
===================================================================
--- /branches/numpy_misc/tools/acceptance_tests/test_dump_python_environment.py	(revision 6995)
+++ /branches/numpy_misc/tools/acceptance_tests/test_dump_python_environment.py	(revision 6996)
@@ -33,5 +33,6 @@
     python_version = fd.read()
     fd.close() 
-    util.log_print_nl(logfile, 'Python version: %s' % sys.version.replace('\n', ' '))
+    util.log_print_nl(logfile, "Executing '$PYTHON' gives version: %s" % sys.version.replace('\n', ' '))
+#    util.log_print_nl(logfile, 'Python version: %s' % sys.version.replace('\n', ' '))
     util.log_print_nl(logfile)
 
@@ -41,5 +42,5 @@
     util.log_print_nl(logfile)
 
-    # show contents of ~/.machines_<machine>
+    # show contents of ./machines_<machine>
     home = os.getenv('HOME')
     machines_file = os.path.join(home, '.machines_%s' % cluster)
Index: /branches/numpy_misc/tools/acceptance_tests/test_filesystem_accessibility.py
===================================================================
--- /branches/numpy_misc/tools/acceptance_tests/test_filesystem_accessibility.py	(revision 6995)
+++ /branches/numpy_misc/tools/acceptance_tests/test_filesystem_accessibility.py	(revision 6996)
@@ -21,5 +21,5 @@
     util.header(logfile, 'Test of filesystem accessibility on %s.' % cluster)
     # get python to run
-    python_env_var = os.getenv('PYTHON', 'python')
+    python_env_var = os.getenv('PYTHON')
 
     # get max width of the filesystem paths
Index: /branches/numpy_misc/tools/acceptance_tests/test_latency_bandwidth.py
===================================================================
--- /branches/numpy_misc/tools/acceptance_tests/test_latency_bandwidth.py	(revision 6995)
+++ /branches/numpy_misc/tools/acceptance_tests/test_latency_bandwidth.py	(revision 6996)
@@ -18,5 +18,5 @@
 
     # get python to run
-    python_env_var = os.getenv('PYTHON', 'python')
+    python_env_var = os.getenv('PYTHON')
 
     # compile C code
@@ -37,7 +37,6 @@
     # run the tests
     results = []
+    machines_file = os.path.join('~', '.machines_%s' % cluster)
     for num_procs in Processor_Numbers:
-        machines_file = '~/.machines_%s' % cluster
-
         cmd = ('mpirun -np %2d -hostfile %s %s'
                % (num_procs, machines_file, obj_file))
Index: /branches/numpy_misc/tools/acceptance_tests/test_python_packages.py
===================================================================
--- /branches/numpy_misc/tools/acceptance_tests/test_python_packages.py	(revision 6995)
+++ /branches/numpy_misc/tools/acceptance_tests/test_python_packages.py	(revision 6996)
@@ -3,4 +3,5 @@
 '''Testlet to check that packages required are importable'''
 
+import os
 import sys
 import time
@@ -26,5 +27,5 @@
 
     # get python to run
-    python_env_var = os.getenv('PYTHON', 'python')
+    python_env_var = os.getenv('PYTHON')
 
     # get max width of the import tests
Index: /branches/numpy_misc/tools/acceptance_tests/test_quadrature_parallel_interleaved.py
===================================================================
--- /branches/numpy_misc/tools/acceptance_tests/test_quadrature_parallel_interleaved.py	(revision 6995)
+++ /branches/numpy_misc/tools/acceptance_tests/test_quadrature_parallel_interleaved.py	(revision 6996)
@@ -18,5 +18,5 @@
 
     # get python to run
-    python_env_var = os.getenv('PYTHON', 'python')
+    python_env_var = os.getenv('PYTHON')
 
     # compile C code
@@ -37,5 +37,5 @@
     # run the tests
     results = []
-    machines_file = '~/.machines_%s' % cluster
+    machines_file = os.path.join('~', '.machines_%s' % cluster)
     single_processor_time = None
     for num_procs in Processor_Numbers:
Index: /branches/numpy_misc/tools/acceptance_tests/test_ssh_to_compute_nodes.py
===================================================================
--- /branches/numpy_misc/tools/acceptance_tests/test_ssh_to_compute_nodes.py	(revision 6995)
+++ /branches/numpy_misc/tools/acceptance_tests/test_ssh_to_compute_nodes.py	(revision 6996)
@@ -17,5 +17,5 @@
 
     # get python to run
-    python_env_var = os.getenv('PYTHON', 'python')
+    python_env_var = os.getenv('PYTHON')
 
     # get cluster-specific information
Index: /branches/numpy_misc/tools/acceptance_tests/test_test_all.py
===================================================================
--- /branches/numpy_misc/tools/acceptance_tests/test_test_all.py	(revision 6995)
+++ /branches/numpy_misc/tools/acceptance_tests/test_test_all.py	(revision 6996)
@@ -17,15 +17,14 @@
 
     # get python to run
-    python_env_var = os.getenv('PYTHON', 'python')
+    python_env_var = os.getenv('PYTHON')
 
     # remember the directory we are in and go to ANUGA test directory
     home_directory = os.getcwd()
     pythonpath = os.getenv('PYTHONPATH')
-    newpath = os.path.join(pythonpath, 'anuga')
-    os.chdir(newpath)
+    os.chdir(os.path.join(pythonpath, 'anuga'))
 
     # compile C code
-    util.log_print_nl(logfile, '%s compile_all.py') % python_env_var
-    (_, fd) = os.popen4('%s compile_all.py')  % python_env_var
+    util.log_print_nl(logfile, '%s compile_all.py' % python_env_var)
+    (_, fd) = os.popen4('%s compile_all.py' % python_env_var)
     compile_result = fd.read()
     status = fd.close()
@@ -33,6 +32,6 @@
 
     # run test_all.py
-    util.log_print_nl(logfile, '%s test_all.py') % python_env_var
-    (_, fd) = os.popen4('%s test_all.py') % python_env_var
+    util.log_print_nl(logfile, '%s test_all.py' % python_env_var)
+    (_, fd) = os.popen4('%s test_all.py' % python_env_var)
     test_result = fd.read()
     status = fd.close()
Index: /branches/numpy_misc/tools/acceptance_tests/test_test_pypar.py
===================================================================
--- /branches/numpy_misc/tools/acceptance_tests/test_test_pypar.py	(revision 6995)
+++ /branches/numpy_misc/tools/acceptance_tests/test_test_pypar.py	(revision 6996)
@@ -17,9 +17,10 @@
     util.header(logfile, 'Running pypar test on %s.' % cluster)
 
+
     # get python to run
-    python_env_var = os.getenv('PYTHON', 'python')
+    python_env_var = os.getenv('PYTHON')
 
     # run the test_pypar.py tests
-    machines_file = '~/.machines_%s' % cluster
+    machines_file = os.path.join('~', '.machines_%s' % cluster)
     for num_procs in Processor_Numbers:
         cmd = ('mpirun -np %2d -hostfile %s %s test_pypar.py'
@@ -60,5 +61,5 @@
 
     # run tests
-    machines_file = '~/.machines_%s' % cluster
+    machines_file = os.path.join('~', '.machines_%s' % cluster)
     result_data = []
     for num_procs in Processor_Numbers:
Index: /branches/numpy_misc/tools/acceptance_tests/test_utils.py
===================================================================
--- /branches/numpy_misc/tools/acceptance_tests/test_utils.py	(revision 6995)
+++ /branches/numpy_misc/tools/acceptance_tests/test_utils.py	(revision 6996)
@@ -11,5 +11,5 @@
 # 'node_stem' key defines a compute node name.
 # update this if adding a new cluster.
-# should get this from the ~/.machines_<cluster> file?
+# should get this from the machines_<cluster> file?
 Cluster_Info = {'cyclone': {'num_nodes': 23,
                             'node_stem': 'compute-1-%d'},