Index: /anuga_validation/automated_validation_tests/patong_beach_validation/cmpsww.py
===================================================================
--- /anuga_validation/automated_validation_tests/patong_beach_validation/cmpsww.py	(revision 7000)
+++ /anuga_validation/automated_validation_tests/patong_beach_validation/cmpsww.py	(revision 7001)
@@ -152,6 +152,7 @@
             error_msg = ('\nFiles differ in global attributes:\n'
                          '%s: %s,\n'
-                         '%s: %s\n' % (filename1, str(glob_vars1),
-                                     filename2, str(glob_vars2)))
+                         '%s: %s\n' 
+                         % (filename1, str(glob_vars1),
+                            filename2, str(glob_vars2)))
             error = True
 
@@ -179,6 +180,6 @@
         if var_names1 != var_names2:
             error_msg += ('\nVariables are not the same between files:\n'
-                          '%s variables= %s,\n'
-                          '%s variables = %s\n'
+                          '%s variables=%s,\n'
+                          '%s variables=%s\n'
                           % (filename1, str(var_names1), filename2, str(var_names2)))
             error = True
@@ -190,7 +191,8 @@
     if num_timesteps1 != num_timesteps2:
         error_msg += ('Files have different number of timesteps:\n'
-                      '%s=%d,\n'
-                      '%s=%d\n'
-                      % (filename1, num_timesteps1, filename2, num_timesteps2))
+                      '%s=%s,\n'
+                      '%s=%s\n'
+                      % (filename1, str(num_timesteps1),
+                         filename2, str(num_timesteps2)))
         error = True
 
@@ -208,5 +210,5 @@
                           '%s: %s\n'
                           % (var_name, filename1, str(var1_shape),
-                             filename2, str(var2_shape)))
+                                       filename2, str(var2_shape)))
             error = True
 
@@ -241,10 +243,12 @@
                         if var1[i] != var2[i]:
                             error_msg += ('\nFiles differ in variable '
-                                          '%s[%d,%d]:\n'
-                                          '%s: %.14f\n'
-                                          '%s: %.14f\n'
+                                              '%s[%d,%d]:\n'
+                                          '%s: %f\n'
+                                          '%s: %f\n'
+                                          'difference=%f\n'
                                           % (var_name, t, i,
                                              filename1, var1[i],
-                                             filename2, var2[i]))
+                                             filename2, var2[i],
+                                             var1[i]-var2[i]))
                             break
                     error = True
@@ -258,9 +262,11 @@
                         error_msg += ('\nFiles differ in variable '
                                       '%s[%d]:\n'
-                                      '%s: %.14f\n'
-                                      '%s: %.14f\n'
+                                      '%s: %f\n'
+                                      '%s: %f\n'
+                                      'difference=%f\n'
                                        % (var_name, j,  
                                           filename1, var1[j],
-                                          filename2, var2[j]))
+                                          filename2, var2[j],
+                                          var1[j]-var2[j]))
                         break
                 error = True
Index: /anuga_validation/automated_validation_tests/patong_beach_validation/setup_model.py
===================================================================
--- /anuga_validation/automated_validation_tests/patong_beach_validation/setup_model.py	(revision 7000)
+++ /anuga_validation/automated_validation_tests/patong_beach_validation/setup_model.py	(revision 7001)
@@ -120,5 +120,5 @@
     project.scale_factor = 1
     project.time_thinning = 4
-    project.yieldstep = 5
+    project.yieldstep = 60
 else:
     print ("Sorry, you must set the 'setup' variable to one of:"