Index: /anuga_core/source/anuga/abstract_2d_finite_volumes/util.py
===================================================================
--- /anuga_core/source/anuga/abstract_2d_finite_volumes/util.py	(revision 7011)
+++ /anuga_core/source/anuga/abstract_2d_finite_volumes/util.py	(revision 7012)
@@ -1136,5 +1136,4 @@
     """
     import sys
-    from sets import Set as set
 
     all_quantity = ['stage', 'depth', 'momentum', 'xmomentum',
Index: /anuga_core/source/anuga/geospatial_data/test_geospatial_data.py
===================================================================
--- /anuga_core/source/anuga/geospatial_data/test_geospatial_data.py	(revision 7011)
+++ /anuga_core/source/anuga/geospatial_data/test_geospatial_data.py	(revision 7012)
@@ -6,5 +6,4 @@
 from math import sqrt, pi
 import tempfile
-from sets import ImmutableSet
 
 import Numeric as num
@@ -1740,5 +1739,5 @@
         p1 = (lat_gong, lon_gong)
         p2 = (lat_2, lon_2)
-        points = ImmutableSet([p1, p2, p1])
+        points = frozenset([p1, p2, p1])
         gsd = Geospatial_data(data_points=list(points),
                               points_are_lats_longs=True)
@@ -1763,5 +1762,5 @@
         p1 = (lat_gong, lon_gong)
         p2 = (lat_2, lon_2)
-        points = ImmutableSet([p1, p2, p1])
+        points = frozenset([p1, p2, p1])
         gsd = Geospatial_data(data_points=list(points),
                               points_are_lats_longs=True)
Index: /anuga_core/source/anuga/shallow_water/data_manager.py
===================================================================
--- /anuga_core/source/anuga/shallow_water/data_manager.py	(revision 7011)
+++ /anuga_core/source/anuga/shallow_water/data_manager.py	(revision 7012)
@@ -5010,6 +5010,4 @@
     """
 
-    from sets import ImmutableSet
-
     msg = "grid_spacing can not be zero"
     assert not grid_spacing == 0, msg
@@ -5023,12 +5021,12 @@
     # Don't assume the zone of the segments is the same as the lower left
     # corner of the lat long data!!  They can easily be in different zones
-    lat_long_set = ImmutableSet()
+    lat_long_set = frozenset()
     for seg in segs:
         points_lat_long = points_needed(seg, ll_lat, ll_long, grid_spacing,
                                         lat_amount, long_amount, zone,
                                         isSouthHemisphere)
-        lat_long_set |= ImmutableSet(points_lat_long)
-
-    if lat_long_set == ImmutableSet([]):
+        lat_long_set |= frozenset(points_lat_long)
+
+    if lat_long_set == frozenset([]):
         msg = "URS region specified and polygon does not overlap."
         raise ValueError, msg
Index: /anuga_core/source/anuga/shallow_water/test_data_manager.py
===================================================================
--- /anuga_core/source/anuga/shallow_water/test_data_manager.py	(revision 7011)
+++ /anuga_core/source/anuga/shallow_water/test_data_manager.py	(revision 7012)
@@ -14,5 +14,4 @@
 from Scientific.IO.NetCDF import NetCDFFile
 from struct import pack, unpack
-from sets import ImmutableSet
 import shutil
 
@@ -9558,5 +9557,5 @@
         # the poly as points though.
         #geo.export_points_file("results.txt", as_lat_long=True)
-        results = ImmutableSet(geo.get_data_points(as_lat_long=True))
+        results = frozenset(geo.get_data_points(as_lat_long=True))
         #print 'results',results
 
@@ -9572,5 +9571,5 @@
                                      points_are_lats_longs=True) 
         #geo_answer.export_points_file("answer.txt", as_lat_long=True)  
-        answer = ImmutableSet(points)
+        answer = frozenset(points)
         
         outs = answer.difference(results)
@@ -9662,6 +9661,6 @@
                                   verbose=self.verbose)
         
-        results = ImmutableSet(geo.get_data_points(as_lat_long=True,
-                                  isSouthHemisphere=False))
+        results = frozenset(geo.get_data_points(as_lat_long=True,
+                                                isSouthHemisphere=False))
         #print 'results',results
 
@@ -9673,5 +9672,5 @@
                                degminsec2decimal_degrees(97,i*2,0)))
         #print "answer points", points
-        answer = ImmutableSet(points)
+        answer = frozenset(points)
         
         for point in points: