Index: /anuga_work/production/australia_ph2/darwin/Arc_asc2raster_GDA94.py
===================================================================
--- /anuga_work/production/australia_ph2/darwin/Arc_asc2raster_GDA94.py	(revision 7056)
+++ /anuga_work/production/australia_ph2/darwin/Arc_asc2raster_GDA94.py	(revision 7057)
@@ -25,15 +25,15 @@
 output_dir = "anuga\\outputs\\"
 
-time_dir1 = '20090415_123212_run_final_0_17898_1829_Tb__kvanputt'
-time_dir2 = '20090428_170820_run_final_0_64977_1829_Tb__mhingee'
+##time_dir1 = '20090415_123212_run_final_0_17898_1829_Tb__kvanputt'
+##time_dir2 = '20090428_170820_run_final_0_64977_1829_Tb__mhingee'
 
-##time_dir3 = '20090428_170944_run_final_0_70906_1829_Tb__mhingee'
-##time_dir4 = '20090428_171421_run_final_0_71261_1829_Tb__mhingee'
+time_dir3 = '20090428_170944_run_final_0_70906_1829_Tb__mhingee'
+time_dir4 = '20090428_171421_run_final_0_71261_1829_Tb__mhingee'
 
-time_dir3 = '20090428_172336_run_final_0_17898_1829_Tb_internal_mhingee'
+##time_dir3 = '20090428_172336_run_final_0_17898_1829_Tb_internal_mhingee'
 
-time_dirs = [time_dir1, time_dir2, time_dir3]
+##time_dirs = [time_dir1, time_dir2, time_dir3]
 
-##time_dirs = [time_dir4, time_dir5]
+time_dirs = [time_dir3, time_dir4]
 
 for time_dir in time_dirs:
@@ -46,6 +46,6 @@
     #ocean = scenario_dir + "map_work\\Perth.gdb\\Outlines\\initial_conditions_ocean1"
     
-##    print 'Process: Create File GDB'
-##    gp.CreateFileGDB_management(folder, "raster")
+    print 'Process: Create File GDB'
+    gp.CreateFileGDB_management(folder, "raster")
 
     gp.Workspace = raster_gbd
@@ -60,5 +60,5 @@
 
     generate_filename = []
-    input_ascii = glob.glob(folder + '*elevation.asc')
+    input_ascii = glob.glob(folder + '*max.asc')
     print time_dir
 
Index: /anuga_work/production/australia_ph2/melbourne_east/single_urs/export_results_max.py
===================================================================
--- /anuga_work/production/australia_ph2/melbourne_east/single_urs/export_results_max.py	(revision 7056)
+++ /anuga_work/production/australia_ph2/melbourne_east/single_urs/export_results_max.py	(revision 7057)
@@ -22,10 +22,10 @@
 directory = project.output_folder
 
-time_dir1 = '20090511_145103_run_trial_0_31853_2649_Tb_both__mhingee'
-time_dir2 = ''
-time_dir3 = ''
-time_dir4 = ''
-time_dir5 = ''
-time_dir6 = ''
+time_dir1 = '20090511_152312_run_final_0_31853_2649_Tb_both__mhingee'
+time_dir2 = '20090511_165621_run_final_0_51449_2649_Tb_both__mhingee'
+time_dir3 = '20090511_165711_run_final_0_58115_2649_Tb_both__mhingee'
+time_dir4 = '20090511_165725_run_final_0_64288_2649_Tb_both__mhingee'
+time_dir5 = '20090511_165801_run_final_0_68793_2649_Tb_both__mhingee'
+time_dir6 = '20090511_165818_run_final_0_58348_2649_Tb_both__mhingee'
 
 ##time_dir1 = '20090421_152359_run_final_0_58115_2649_Tb_east_internal_mhingee'
@@ -88,13 +88,13 @@
 
             name1 = join(directory, time_dir, project.scenario_name)
-##            name2 = join(directory, time_dir, project.scenario_name)+'_time_10740_0'
-##            name3 = join(directory, time_dir, project.scenario_name)+'_time_21480_0'
-##            name4 = join(directory, time_dir, project.scenario_name)+'_time_32220_0'
-##            name5 = join(directory, time_dir, project.scenario_name)+'_time_42960_0'
-##            name6 = join(directory, time_dir, project.scenario_name)+'_time_53700_0'
+            name2 = join(directory, time_dir, project.scenario_name)+'_time_10740_0'
+            name3 = join(directory, time_dir, project.scenario_name)+'_time_21480_0'
+            name4 = join(directory, time_dir, project.scenario_name)+'_time_32220_0'
+            name5 = join(directory, time_dir, project.scenario_name)+'_time_42960_0'
+            name6 = join(directory, time_dir, project.scenario_name)+'_time_53700_0'
 
-            names = [name1]#, name2, name3, name4, name5, name6]
+            names = [name1, name2, name3, name4, name5, name6]
       
-##            asc_name = []   
+            asc_name = []   
                
             for name in names:
@@ -117,10 +117,10 @@
                             format = 'asc')
 
-##                asc_name.append(outname + '.asc')
-##    
-##            maxasc_outname = join(directory, time_dir, project.scenario_name)+'_'+which_area+'_'+which_var+'_max.asc'
-##
-##            print 'max asc outname ', maxasc_outname
-##            print 'asc_name ', str(asc_name)
-##            
-##            MaxAsc(maxasc_outname, asc_name)
+                asc_name.append(outname + '.asc')
+    
+            maxasc_outname = join(directory, time_dir, project.scenario_name)+'_'+which_area+'_'+which_var+'_max.asc'
+
+            print 'max asc outname ', maxasc_outname
+            print 'asc_name ', str(asc_name)
+            
+            MaxAsc(maxasc_outname, asc_name)