Index: /anuga_work/production/new_south_wales/batemans_bay/project.py
===================================================================
--- /anuga_work/production/new_south_wales/batemans_bay/project.py	(revision 7066)
+++ /anuga_work/production/new_south_wales/batemans_bay/project.py	(revision 7067)
@@ -8,4 +8,5 @@
 from time import localtime, strftime, gmtime
 from os.path import join, exists
+import csv
 
 
@@ -17,26 +18,24 @@
 # Note, the user needs to set up the directory system accordingly
 state = 'new_south_wales'
-scenario_name = 'batemans_bay'
-scenario_folder = 'batemans_bay_tsunami_scenario_2009'
-
+scenario_name = 'gosford'
+scenario_folder = 'gosford_tsunami_scenario_2009'
 
 #-------------------------------------------------------------------------------
 # Initial Conditions
 #-------------------------------------------------------------------------------
+
 
 # Model specific parameters.
 # One or all can be changed each time the run_model script is executed
-tide = 1.0                # difference between MSL and HAT (1.0)
-
-# the event number or the mux file name
-##event_number = 58129  #1 in 200 yr Puyesgur
-##event_number = 58115    #1 in 500 yr
-##event_number = 58226    #1 in 1000 yr
-##event_number = 58284    #1 in 2000 yr
-##event_number = 58286    #1 in 5000 yr
-##event_number = 58272      #1 in 10000 yr Puysegur
-event_number = 51445     #1 in 10000 yr New Hebrides
-##event_number = 58368    #1 in 100 000 yr Puysegur!!!
-##event_number = 51436    #1 in 100 000 yr New Hebrides!!!
+tide = 1.0                # difference between MSL and HAT in metres
+zone = 56               # specify zone of model
+event_number = 58242    # Puysegur 1 in 10 000 # the event number or the mux file name
+#event_number = 51436    # New Hebrides 1 in 10 000
+#event_number = 58349    # Puysegur 1 in 5000
+#event_number = 58284    # Puysegur 1 in 2000
+#event_number = 58187    # Puysegur 1 in 1000
+#event_number = 58113    # Puysegur 1 in 500
+##event_number = 58025    # Puysegur 1 in 200
+
 
 alpha = 0.1             # smoothing parameter for mesh
@@ -70,26 +69,46 @@
 # Used in build_elevation.py
 # Format for ascii grids, as produced in ArcGIS + a projection file
-ascii_grid_filenames = ['1a',# Topographic data
-                        '1b',
-                        '2b',
-                        '2a_3',
-                        '3b',
-                        '3a',
-                        '4a_2',
-                        '4b',
-                        'off1',
-                        'off2',
-                        'off3',
-                        'bbhd',
-                        'sd100031996_p',
-                        'sd100031996_p2',
-                        'sd100031996_p3',
-                        'sd100031996_p4']
+ascii_grid_filenames = ['e151_s34_clip2',
+                        'aus197_topo2raster_clip',
+                        'hydro_topo2raster_clip']
+                        #'aus197_topo2raster_terrigal']   #GA data??
                     
+
+
+#Get long list of Lidar filenames.
+ENV_INUNDATIONHOME = 'INUNDATIONHOME'
+home = join(os.getenv(ENV_INUNDATIONHOME), 'data')
+anuga_folder = join(home, state, scenario_folder, 'anuga')
+topographies_folder = join(anuga_folder, 'topographies/original')
+
+file_list = join(topographies_folder, 'file_list.csv')
+###file_list2 = join(topographies_folder, 'file_list2.csv')
+fid = csv.reader(open(file_list))
+###fid2 = csv.reader(open(file_list2))
+lidar_filenames = []
+for row in fid:
+    lidar_filenames.append(','.join(row))
+##for row in fid2:
+##    lidar_filenames.append(','.join(row))
+###print lidar_filenames
+#lidar_filenames = list(lidar_filenames)
+#print lidar_filenames
+
 # Format for point is x,y,elevation (with header)
-point_filenames = ['SD100031996_jgriffin_clip.csv',
-                   'tomaga_offshore_AHD_MGA_1997.csv',
-                   'Batemans_BBHD_MGA_1995.csv',
-                   'moruya_AHD_MGA_2000.csv']
+point_filenames = ['estuaries.txt',
+##                   'XYHI341_HSDB_SD100035103',
+##                   'XYAHD',
+##                   'XYSCHOOL_11_99_HSDB_SD100021002_MGA',
+                   'ENT5C1S08_03_AHD_prepared.txt',
+                   'ENT5C1S09_03_AHD_prepared.txt',
+                   'ENT5C1S10_03_AHD_prepared.txt',
+##                   'XYAHD',
+##                   'XYHI341_HSDB_SD100035103_MGA',
+##                   'XYHI339_F_HSDB_SD100031669_MGA',
+##                   'AUS197_MGA_AHD_1972.txt',
+                   'hydro_neg.txt'
+                   ]
+point_filenames.extend(lidar_filenames)
+#print point_filenames 
           
 
@@ -109,7 +128,8 @@
 # Format for points easting,northing (no header)
 
-interior_regions_data = [['area_of_interest.csv', 500],
-                        ['area_of_significance.csv', 2500],
-                        ['shallow_water.csv', 10000]]
+interior_regions_data =[['aoi_umina.csv', 500],
+                        ['aoi_terrigal.csv', 500],
+                        ['aos_umina.csv', 2500],
+                        ['aos_terrigal.csv', 2500]]
 
 
@@ -136,9 +156,9 @@
 # Thinned ordering file from Hazard Map (geographic)
 # Format is index,latitude,longitude (with header)
-urs_order_filename = 'thinned_boundary_ordering_extend.csv'
+urs_order_filename = 'urs_order.csv'
 
 # Landward bounding points
 # Format easting,northing (no header)
-landward_boundary_filename = 'landward_boundary_extend.csv'
+landward_boundary_filename = 'landward_boundary.csv'
 
 # MUX input filename.
@@ -212,5 +232,5 @@
 # check various directories/files that must exist
 anuga_folder = join(home, state, scenario_folder, 'anuga')
-topographies_folder = join(anuga_folder, 'topographies')
+topographies_folder = join(anuga_folder, 'topographies/original')
 polygons_folder = join(anuga_folder, 'polygons')
 boundaries_folder = join(anuga_folder, 'boundaries')